# $Revision: 1.160 $, $Date: 2006/12/15 08:11:23 $
#
# Conditional build:
%bcond_with	rewrite_ldap	# enable ldap map support for mod_rewrite (alpha)
%bcond_without	ipv6		# disable IPv6 support
%bcond_without	lingerd		# don't build lingerd support
#
%include	/usr/lib/rpm/macros.perl
Summary:	The most widely used Web server on the Internet
Summary(cs):	Nejrozenj WWW server v Internetu
Summary(da):	Den mest brugte web-tjener p Internet
Summary(de):	Der am hufigsten verwendete Web-Server im Internet
Summary(es):	El servidor web ms conocido y usado en Internet
Summary(fr):	Le serveur Web le plus utilis sur Internet
Summary(id):	Web server yang paling banyak digunakan di Internet
Summary(is):	Vinslasti vefjnninn  Netinu
Summary(it):	Il web server pi diffuso su Internet
Summary(ja):	󥿡ͥåȾǺǤŪ˻ѤƤ Web С
Summary(nb):	Den mest utbredte web-tjeneren p Internett
Summary(pl):	Serwer WWW (World Wide Web)
Summary(pt):	O servidor Web mais largamente utilizado em toda a Internet
Summary(pt_BR):	Servidor HTTPD para prover servios WWW
Summary(ru):	  Web-Server
Summary(sk):	Najviac pouvan Web server na Internete
Summary(sl):	Najbolj uporabljani spletni strenik interneta
Summary(sv):	Den mest anvnda webbservern p Internet
Summary(tr):	Lider WWW tarayc
Summary(uk):	Φ Web-Server
Summary(zh_CN):	Internet Ӧ㷺 Web 
Name:		apache1
Version:	1.3.37
Release:	7
License:	Apache Group
Group:		Networking/Daemons
Source0:	http://www.apache.org/dist/httpd/apache_%{version}.tar.gz
# Source0-md5:	b278f0969a9ccadeb781316e79e3520f
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	apache-icons.tar.gz
# Source3-md5:	2b085cbc19fd28536dc883f0b864cd83
Source4:	%{name}.sysconfig
Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/apache-non-english-man-pages.tar.bz2
# Source5-md5:	74ff6e8d8a7b365b48ed10a52fbeb84e
Source6:	%{name}.monitrc
Source7:	%{name}-httpd.conf
Source8:	%{name}-common.conf
Source9:	%{name}-mod_status.conf
Source10:	%{name}-mod_proxy.conf
Source11:	%{name}-mod_autoindex.conf
Source12:	%{name}-mod_dir.conf
Source13:	%{name}-mod_info.conf
Source14:	%{name}-mod_log_config.conf
Source15:	%{name}-mod_userdir.conf
Source16:	%{name}-mod_mime_magic.conf
Source17:	%{name}-mod_alias.conf
Source18:	%{name}-mod_negotiation.conf
Source19:	%{name}-mod_mime.conf
Source20:	%{name}-mod_actions.conf
Source21:	%{name}-mod_cern_meta.conf
Source22:	%{name}-mod_setenvif.conf
Source23:	%{name}-mod_vhost_alias.conf
Source24:	%{name}-errordocs.conf
Source25:	http://images.iagora.com/media/software/lingerd/lingerd-0.94.tar.gz
# Source25-md5:	6401015bafad4f44fdf8a9a1795d9258
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-suexec.patch
Patch2:		%{name}-errordocs.patch
Patch3:		%{name}-apxs.patch
Patch4:		%{name}-mod_ssl-addon.patch
Patch5:		%{name}-mod_ssl-eapi.patch
# http://allafrica.com/tools/apache/mod_proxy/mod_proxy-khk_1.3.26-patch.diff with eapi duplicates removed
Patch6:		%{name}-mod_proxy-khk.patch
Patch7:		%{name}-EAPI_MM_CORE_PATH-correction.patch
Patch8:		%{name}-EAPI_MM=SYSTEM.patch
Patch9:		%{name}-ipv6-PLD.patch
Patch10:	%{name}-modules_symbols.patch
Patch11:	%{name}-apxs_force_rm_cp.patch
Patch12:	%{name}-db3.patch
Patch13:	%{name}-lookup_map_ldap.patch
Patch14:	%{name}-man.patch
Patch15:	%{name}-fpic.patch
Patch16:	%{name}-buff.patch
Patch17:	%{name}-mkstemp.patch
Patch18:	%{name}-EAPI-missing_files.patch
Patch19:	%{name}-PLD-nov6.patch
Patch20:	%{name}-configdir_skip_backups.patch
Patch21:	%{name}-apxs-quiet.patch
Patch22:	%{name}-db4.patch
Patch23:	%{name}-less-libs.patch
Patch24:	%{name}-rwrite-debug.patch
Patch25:	%{name}-apxs-DESTDIR.patch
# from debian apache_1.3.34-2.diff.gz
Patch26:	%{name}-regex_must_conform_to_posix_for_LFS_to_work.patch
Patch27:	%{name}-suexec_of_death.patch
Patch28:	%{name}-suexec_reopenlog.patch
Patch29:	%{name}-autoindex_studly.patch
Patch30:	%{name}-autoindex_indexes.patch
Patch31:	%{name}-autoindex_generator.patch
Patch32:	%{name}-ab.8_formatting_error.patch
Patch33:	%{name}-proxy_content_base.patch
Patch34:	%{name}-inetdfix.patch
Patch35:	%{name}-configure_hashbang.patch
Patch36:	%{name}-log_files_permission.patch
Patch37:	%{name}-htpasswd_do_not_trash_extra_fields.patch
Patch38:	%{name}-GNU_xargs.patch
Patch39:	%{name}-security_htdigest_local_buffer_overflow.patch
Patch40:	%{name}-security_htpasswd_user_buffer_overflow.patch
Patch41:	%{name}-security_check_forensic_tempfiles.patch
URL:		http://httpd.apache.org/
BuildRequires:	bash
BuildRequires:	db-devel >= 4.1
BuildRequires:	mm-devel >= 1.3.0
%{?with_rewrite_ldap:BuildRequires:	openldap-devel}
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.4.0
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-mod_access = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Requires:	%{name}-mod_dir = %{version}-%{release}
Requires:	%{name}-mod_log_config = %{version}-%{release}
Requires:	%{name}-mod_mime = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/apache
%define		_includedir	%{_prefix}/include/apache1
%define		_libexecdir	%{_prefix}/%{_lib}/apache1
%define		_datadir	%{httpdir}
%define		apxs		/usr/sbin/apxs1
%define		httpdir		/home/services/apache
%define		manualdir	%{_prefix}/share/apache1-manual

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

%{?with_lingerd:This version of Apache includes lingerd support:}
%{?with_lingerd:<http://www.iagora.com/about/software/lingerd/>.}

%description -l cs
Apache je vkonn pln funkn efektivn a voln dostupn WWW server.
Je to nejpopulrnj WWW server v Internetu.

%description -l da
Apache er en strk, funktionsrig, effektiv og frit tilgngelig
web-tjener. Apache er ogs den mest populre web-tjener p Internet.

%description -l de
Apache ist ein leistungsfhiger, frei verfgbarer und effizienter
Web-Server mit umfassenden Funktionen. Apache ist zudem der populrste
Web-Server im Internet.

%description -l es
El servidor web Apache es el mejor servidor gratuito disponible en el
mundo UNIX hoy. Usa HTTP (HyperText Transfer Protocol) para permitir
que browsers web vean documentos y sometan datos remotamente. Puede
ejecutar varias funciones diferentes, incluyendo funciones de proxy y
cach, y nos ofrece caractersticas como monitor de estado, conversin
dinmica de tipo, y otras ms.

%description -l fr
Apache est un serveur Web puissant, efficace, gratuit et complet.
Apache est aussi le serveur Web le plus populaire sur Internet.

%description -l id
Apache adalah Web server yang powerful, efisien, kaya akan feature,
dan tersedia dengan free. Apache juga merupakan Web server yang paling
populer di Internet.

%description -l is
Apache er mjg flugur og hraur vefjnn sem er keypis. Apache er
einnig mest notai vefjnninn  Internetinu.

%description -l it
Apache  un Web server potente, dotato di tutte le caratteristiche,
efficiente e gratuito. Ed  anche il web server pi diffuso su
Internet.

%description -l ja
Apache ϶Ϥǽ¤ǽ̵ Web С
Ǥޤapache ϥ󥿡ͥåȾǺǤŪ˻ Ƥ Web
СǤ

%description -l nb
Apache er en kraftig, funksjonsrik, effektiv og fritt tilgjengelig
web-tjener. Apache er ogs den mest populre web-tjeneren p Internet.

%description -l pl
Apache jest serwerem WWW (World Wide Web). Instalujc ten pakiet
bdziesz mg prezentowa wasne strony WWW w sieci internet.

%description -l pt
O Apache  um servidor de Web poderoso, cheio de potencialidades,
eficiente e gratuito. O Apache  tambm o servidor Web mais conhecido
na Internet.

%description -l pt_BR
O servidor web Apache  o melhor servidor gratuito disponvel no mundo
UNIX hoje. Ele usa HTTP (HyperText Transfer Protocol) para permitir
que browsers web vejam documentos e submetam dados remotamente. Ele
pode executar vrias funes diferentes, incluindo funes de proxy e
cache, e oferece caractersticas como monitor de status, converso
dinmica de tipo, e mais.

%description -l ru
Apache -  , , , 
     Internet WWW-.

%description -l sk
Apache je vkonn, efektvny a vone dostupn Web server, bohat na
funkcie. Apache je tie najpopulrnejm Web serverom na Internete.

%description -l sv
Apache r en kraftfull, finessrik, effektiv och fritt tillgnglig
webbserver. Apache r ocks den populraste webbservern p Internet.

%description -l tr
Apache serbest datlan ve ok kullanlan yetenekli bir web
sunucusudur.

%description -l zh_CN
Apache ǹǿȫЧṩ Web  ͬʱҲ
Internet е Web 

Ҫ Web 밲װ apache 

%package base
Summary:	The most widely used Web server on the Internet
Summary(pl):	Serwer WWW (World Wide Web)
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getent
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires(pre):	textutils
Requires(triggerpostun):	sed >= 4.0
Requires:	/etc/mime.types
Requires:	mailcap
Requires:	psmisc >= 20.1
Requires:	rc-scripts
Requires:	webapps
Provides:	%{name}(EAPI) = %{version}-%{release}
%{?with_ipv6:Provides:	apache1(ipv6)}
%{?with_lingerd:Provides:	apache1(lingerd)}
Provides:	group(http)
Provides:	user(http)
Provides:	webserver = apache
Obsoletes:	apache < 2.0.0
Obsoletes:	apache-extra
Obsoletes:	apache6
Conflicts:	apache1 < 1.3.37-4
# for the posttrans scriptlet, conflicts because in vserver environment rpm package is not installed.
Conflicts:	rpm < 4.4.2-0.2

%description base
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

%description base -l pl
Apache jest potnym, w peni funkcjonalnym, wydajnym i wolnodostpnym
serwerem WWW (World Wide Web). Jest take najbardziej popularnym
serwerem WWW w Internecie.

%package suexec
Summary:	Apache suexec wrapper
Summary(pl):	Suexec wrapper do serwera WWW Apache
Summary(ru):	Apache suEXEC CGI wrapper
Summary(uk):	Apache suEXEC CGI wrapper
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Obsoletes:	apache-suexec < 2.0.0

%description suexec
The suEXEC feature provides Apache users the ability to run CGI and
SSI programs under user IDs different from the user ID of the calling
web-server. Normally, when a CGI or SSI program executes, it runs as
the same user who is running the web server.

%description suexec -l pl
SuEXEC umoliwia serwerowi Apache uruchamianie programw CGI i SSI z
innym UID ni wywoujcy je serwer. Normalnie programy CGI i SSI s
wykonywane jako taki sam uytkownik jak serwer WWW.

%description suexec -l ru
 suEXEC   CGI-  user-id, 
 ,      web-. 
 ,      
  ,   
 CGI-.   ,  
,      ,  
        :)).   
    setuid root    
,   ,   
  ...

%description suexec -l uk
 suEXEC Ѥ  CGI- Ц user-id, צͦ
צ , Ц   .   Φ, 
 Ѥ ͦ    ϧ ,
    CGI-.   ,
 צ ƦΦ,      ,
  Ħ   ۦ   Ӧ  :)).  
  צ   setuid root   
ϧ , Ҧ Φ   ,
Ԧ     ...

%package apxs
Summary:	APache eXtenSion tool
Summary(pl):	Narzdzie do rozszerzania Apache'a
Group:		Development/Tools

%description apxs
APache eXtenSion tool.

%description apxs -l pl
Narzdzie do rozszerzania Apache'a.

%package tools
Summary:	Apache tools
Summary(pl):	Narzdzia Apache'a
Group:		Development/Tools

%description tools
Apache tools.

%description tools -l pl
Narzdzia Apache'a.

%package index
Summary:	Apache index.html* files
Summary(pl):	Pliki Apache index.html*
Group:		Documentation
Requires:	%{name}-base = %{version}-%{release}
Obsoletes:	indexhtml

%description index
Apache index.html* files.

%description index -l pl
Pliki Apache index.html*.

%package doc
Summary:	Apache 1.3.x manual
Summary(pl):	Podrcznik do Apache'a 1.3.x
Group:		Documentation
Requires:	%{name}-base = %{version}-%{release}

%description doc
Apache 1.3.x manual.

%description doc -l pl
Podrcznik do Apache'a 1.3.x.

%package errordocs
Summary:	Apache 1.3.x HTTP error documents
Summary(pl):	Dokumenty opisujce bdy HTTP dla Apache'a 1.3.x
Group:		Applications/WWW
Requires:	%{name}-mod_include = %{version}-%{release}

%description errordocs
Apache 1.3.x HTTP error documents. Currently in English and Polish
only.

%description errordocs -l pl
Dokumenty opisujce bdy HTTP dla Apache'a 1.3.x. Aktualnie tylko po
angielsku i polsku.

%package devel
Summary:	Module development tools for the Apache web server
Summary(cs):	Hlavikov soubory pro Apache Web server
Summary(da):	Header-filer for Apache webserveren
Summary(de):	Include-Dateien fr den Apache Web-Server
Summary(es):	Archivos de inclusin del Apache para desarrollo de mdulos
Summary(fr):	Fichiers  inclure pour le serveur Web Apache
Summary(id):	File header untuk Apache Web server
Summary(is):	Hausaskrr me Apache vefjninum
Summary(it):	File include per il web server Apache
Summary(ja):	Apache Web СѤγȯġ
Summary(nb):	Headerfiler for webtjeneren Apache
Summary(pl):	Pliki nagwkowe do tworzenia moduw rozszerze do serwera WWW Apache
Summary(pt):	Ficheiros de incluso para o servidor Web Apache
Summary(pt_BR):	Arquivos de incluso do Apache para desenvolvimento de mdulos
Summary(ru):	   web server' Apache
Summary(sk):	Hlavikov sbory pre Apache Web server
Summary(sl):	Glave za spletni strenik Apache
Summary(sv):	Huvudfiler fr webbservern Apache
Summary(uk):	  ̦  web server' Apache
Summary(zh_CN):	 Apache Web Ŀߡ
Group:		Networking/Utilities
Requires:	%{name}-apxs = %{version}-%{release}
Provides:	%{name}(EAPI)-devel = %{version}-%{release}
Provides:	apache(EAPI)-devel = %{version}-%{release}
%{?with_ipv6:Provides:	apache1(ipv6)-devel}
Obsoletes:	apache-devel < 2.0.0

%description devel
The apache-devel package contains header files for Apache.

%description devel -l cs
Balek apache-devel obsahuje hlavikov soubory pro Apache.

%description devel -l da
Apache-devel pakken indeholder headerfiler for Apache.

%description devel -l de
Das Paket apache-devel enthlt Header-Dateien fr Apache.

%description devel -l es
Este paquete contiene los archivos de inclusin para el Apache.

%description devel -l fr
Le package apache-devel contient le code source pour le serveur Web
Apache.

%description devel -l id
Package apache-devel berisi source code dari Apache Web server.

%description devel -l is
Apache-devel pakkinn inniheldur frumka Apache vefjnsins.

%description devel -l it
Il pacchetto apache-devel contiene i file header per Apache.

%description devel -l nb
Apache-devel pakken inneholder headerfiler for Apache.

%description devel -l pl
Pliki nagwkowe dla serwera WWW Apache.

%description devel -l pt
O pacote apache-devel contm outros ficheiros para o Apache.

%description devel -l pt_BR
Este pacote contem os arquivos de incluso para o Apache.

%description devel -l ru
 apache-devel    Web Server'.

%description devel -l sk
Balk apache-devel obsahuje zdrojov kd Apache Web servera.

%description devel -l sv
Paketet apache-devel innehller huvudfilerna fr Apache.

%description devel -l uk
 apache-devel ͦ   Web Server'.

%package mod_access
Summary:	Access control based on client hostname or IP address
Summary(pl):	Kontrola dostpu w oparciu o nazw hosta lub adres IP klienta
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_access) = %{version}-%{release}
Provides:	webserver(access)

%description mod_access
The directives provided by mod_access are used in <Directory>,
<Files>, and <Location> sections as well as .htaccess files to control
access to particular parts of the server. Access can be controlled
based on the client hostname, IP address, or other characteristics of
the client request, as captured in environment variables. The Allow
and Deny directives are used to specify which clients are or are not
allowed access to the server, while the Order directive sets the
default access state, and configures how the Allow and Deny directives
interact with each other.

%description mod_access -l pl
Dyrektyw dostarczanych przez mod_access mona uywa w sekcjach
<Directory>, <Files> i <Location>, a take plikach .htaccess w celu
kontrolowania dostpu do poszczeglnych czci serwera. Dostp moe
by kontrolowany w oparciu o nazw hosta lub adres IP klienta albo
inn charakterystyk dania klienta wychwycon przez zmienne
rodowiskowe. Dyrektywy Allow i Deny s uywane w celu okrelenia
ktrzy klienci maj dostp do serwera, a ktrzy go nie maj, natomiast
dyrektywa Order ustawia stan domylny i okrela sposb, w jaki
dyrektywy Allow i Deny wpywaj na siebie nawzajem.

%package mod_actions
Summary:	Apache module for run CGI whenever a file of a certain type is requested
Summary(pl):	Modu dla Apache'a do uruchamiania skryptw cgi
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_actions) = %{version}-%{release}
Obsoletes:	apache-mod_actions < 2.0.0

%description mod_actions
This package contains mod_actions module. This module lets you run CGI
scripts whenever a file of a certain type is requested. This makes it
much easier to execute scripts that process files.

%description mod_actions -l pl
Ten modu pozwala na uruchamianie skryptw CGI w momencie gdy
nadchodzi danie pobrania pliku okrelonego typu. Znacznie uatwia to
wykonywanie skryptw przetwarzajcych pliki.

%package mod_alias
Summary:	Mapping different parts of the host filesystem in the document tree, and URL redirection
Summary(pl):	Odwzorowywanie czci systemu plikw w drzewie dokumentw oraz przekierowywanie URL-i
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_alias) = %{version}-%{release}
Provides:	webserver(alias)

%description mod_alias
This module provides for mapping different parts of the host
filesystem in the document tree, and for URL redirection. The
directives contained in this module allow for manipulation and control
of URLs as requests arrive at the server. The Alias and ScriptAlias
directives are used to map between URLs and filesystem paths. This
allows for content which is not directly under the DocumentRoot to be
served as part of the web document tree. The ScriptAlias directive has
the additional effect of marking the target directory as containing
only CGI scripts.

The Redirect directives are used to instruct clients to make a new
request with a different URL. They are often used when a resource has
moved to a new location.

A more powerful and flexible set of directives for manipulating URLs
is contained in the mod_rewrite module.

%description mod_alias -l pl
Ten modu umoliwia odwzorowywanie rnych czci systemu plikw
serwera w drzewie dokumentw oraz przekierowywanie URL-i. Dyrektywy
obsugiwane przez ten modu umoliwiaj manipulowanie i kontrol URL-i
podczas przychodzenia da do serwera. Dyrektywy Alias i ScriptAlias
su do odwzorowywania pomidzy URL-ami i ciekami w systemie
plikw. Pozwala to na udostpnianie treci nie umieszczonej
bezporednio wewntrz DocumentRoota jako czci drzewa dokumentw WWW.
Dyrektywa ScriptAlias ponadto oznacza katalog docelowy jako
zawierajcy wycznie skrypty CGI.

Dyrektywy Redirect su do instruowania klientw o koniecznoci
wysania nowego dania z innym URL-em. S one zwykle uywane w
sytuacji, kiedy zasoby zostay przeniesione w nowe miejsce.

Potniejszy i bardziej elastyczny zbir dyrektyw do manipulowania
URL-ami znajduje si w module mod_rewrite.

%package mod_asis
Summary:	Sending files which contain their own HTTP headers
Summary(pl):	Wysyanie plikw zawierajcych wasne nagwki HTTP
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_asis) = %{version}-%{release}

%description mod_asis
This module provides the handler send-as-is which causes Apache to
send the document without adding most of the usual HTTP headers.

This can be used to send any kind of data from the server, including
redirects and other special HTTP responses, without requiring a
cgi-script or an nph script.

For historical reasons, this module will also process any file with
the MIME type httpd/send-as-is.

%description mod_asis -l pl
Ten modu dostarcza funkcj obsugi send-as-is powodujc, e Apache
wysya dokument bez dodawania wikszoci zwykle stosowanych nagwkw
HTTP.

Moe on suy do wysyania z serwera dowolnego rodzaju danych,
wcznie z przekierowaniami i innymi specjalnymi odpowiedziami HTTP
bez uycia skryptu CGI czy nph.

Ze wzgldw historycznych ten modu przetwarza take wszelkie pliki o
typie MIME httpd/send-as-is.

%package mod_auth
Summary:	Apache module with user authentication using textual files
Summary(pl):	Modu uwierzytelniania uytkownika przy uyciu plikw tekstowych dla Apache
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_auth) = %{version}-%{release}
Provides:	webserver(auth)
Obsoletes:	apache-mod_auth < 2.0.0

%description mod_auth
This package contains mod_auth module. It provides for user
authentication using textual files.

%description mod_auth -l pl
Ten pakiet zawiera modu mod_auth. Suy on do uwierzytelniania przy
uyciu plikw tekstowych.

%package mod_auth_anon
Summary:	Apache module with "anonymous" user access authentication
Summary(pl):	Modu apache oferujcy anonimow autoryzacj uytkownia
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_auth_anon) = %{version}-%{release}
Obsoletes:	apache-mod_auth_anon < 2.0.0

%description mod_auth_anon
This package contains mod_auth_anon module. It allows "anonymous" user
access to authenticated areas. It does access control in a manner
similar to anonymous FTP sites; i.e. have a 'magic' user id
'anonymous' and the email address as a password. These email addresses
can be logged. Combined with other (database) access control methods,
this allows for effective user tracking and customization according to
a user profile while still keeping the site open for 'unregistered'
users. One advantage of using Auth-based user tracking is that, unlike
magic-cookies and funny URL pre/postfixes, it is completely browser
independent and it allows users to share URLs.

%description mod_auth_anon -l pl
Ten modu oferuje anonimow autoryzacj uytkownia podobnie do
anonimowych serwerw FTP (uytkownik "anonymous" oraz haso w postaci
adresu pocztowego uytkownika). Podawane adresy mog by logowane. W
poczeniu z innymi (opartymi o bazy danych) metodami kontroli dostpu
umoliwia efektywne ledzenie uytkownikw i dostosowywanie w
zalenoci od profilu uytkownika, jednoczenie zachowujc stron
otwart dla "niezarejestrowanych" uytkownikw. Jedn z zalet uywania
ledzenia uytkownikw opartego o uwierzytelnienie nad ciasteczkami i
miesznymi prze-/przyrostkami URL-i jest cakowita niezaleno od
przegldarki i umoliwienie uytkownikom wspdzielenia URL-i.

%package mod_auth_db
Summary:	Apache module with user authentication which uses Berkeley DB files
Summary(pl):	Modu Apache'a z mechanizmem uwierzytelniania uywajcym plikw Berkeley DB
Group:		Networking/Daemons
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_auth_db) = %{version}-%{release}
Obsoletes:	apache-mod_auth_db < 2.0.0

%description mod_auth_db
This package contains mod_auth_db module. It provides for user
authentication using Berkeley DB files.

%description mod_auth_db -l pl
Ten pakiet zawiera modu mod_auth_db. Modu ten suy do
uwierzytelniania, ale jako plikw danych uywa Berkeley DB.

%package mod_auth_digest
Summary:	Apache user authentication module using MD5 Digest Authentication
Summary(pl):	Modu Apache'a do uwierzytelniania metod MD5 Digest Authentication
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_auth_digest) = %{version}-%{release}
Obsoletes:	apache-mod_auth_digest < 2.0.0
Obsoletes:	apache1-mod_digest

%description mod_auth_digest
This package contains mod_digest module. It provides user
authentication using MD5 Digest Authentication.

%description mod_auth_digest -l pl
Modu ten dostarcza metod uwierzytelniania przy uyciu MD5 Digest
Authentication.

%package mod_autoindex
Summary:	Apache module - display index of files
Summary(pl):	Modu apache do wywietlania indeksu plikw
Group:		Networking/Daemons
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_autoindex) = %{version}-%{release}

%description mod_autoindex
This package contains mod_autoindex module. It provides generation
index of files.

%description mod_autoindex -l pl
Ten pakiet dostarcza modu autoindex, ktry generuje indeks plikw.

%package mod_cern_meta
Summary:	Support for HTTP header metafiles
Summary(pl):	Obsuga metaplikw nagwkw HTTP
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_cern_meta) = %{version}-%{release}

%description mod_cern_meta
Emulate the CERN HTTPD Meta file semantics. Meta files are HTTP
headers that can be output in addition to the normal range of headers
for each file accessed. They appear rather like the Apache .asis
files, and are able to provide a crude way of influencing the Expires:
header, as well as providing other curiosities. There are many ways to
manage meta information, this one was chosen because there is already
a large number of CERN users who can exploit this module.

%description mod_cern_meta -l pl
Modu emulujcy semantyk metaplikw CERN HTTPD. Metapliki to nagwki
HTTP, ktre mog by wysyane oprcz normalnego zestawu nagwkw dla
kadego przetwarzanego pliku. Zachowuj si bardziej jak pliki .asis
Apache'a i mog dawa brutalny sposb wpywania na nagwek Expires:,
a take dostarcza inne ciekawostki. Jest wiele sposobw zarzdzania
metainformacjami, ta zostaa wybrana poniewa istnieje ju wielu
uytkownikw CERN wykorzystujcych ten modu.

%package mod_cgi
Summary:	Invoking CGI scripts
Summary(pl):	Wywoywanie skryptw CGI
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_cgi) = %{version}-%{release}
Provides:	webserver(cgi)

%description mod_cgi
Any file that has the MIME type application/x-httpd-cgi or handler
cgi-script (Apache 1.1 or later) will be treated as a CGI script, and
run by the server, with its output being returned to the client. Files
acquire this type either by having a name containing an extension
defined by the AddType directive, or by being in a ScriptAlias
directory. Files that are not in a ScriptAlias directory, but which
are of type application/x-httpd-cgi by virtue of an AddType directive,
will still not be executed by the server unless Options ExecCGI is
enabled. See the Options directive for more details.

%description mod_cgi -l pl
Ten modu powoduje, e dowolny plik o typie MIME
application/x-httpd-cgi albo procedurze obsugi cgi-script (w Apache'u
1.1 lub nowszym) bdzie traktowany jako skrypt CGI i uruchamiany przez
serwer, a jego wyjcie bdzie zwracane klientowi. Pliki uzyskuj ten
typ przez posiadanie nazwy zawierajcej rozszerzenie okrelone
dyrektyw AddType lub bdc w katalogu ScriptAlias. Pliki nie bdce w
katalogu ScriptAlias, ale majce typ application/x-httpd-cgi dziki
dyrektywie AddType nie bd jednak wykonywane, chyba e wczona
zostanie opcja ExecCGI - wicej szczegw w dyrektywie Options.

%package mod_define
Summary:	Apache module - definition variables for arbitrary directives
Summary(pl):	Modu Apache'a do definiowania zmiennych
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_define) = %{version}-%{release}
Obsoletes:	apache-mod_define < 2.0.0

%description mod_define
It provides the definition variables for arbitrary directives, i.e.
variables which can be expanded on any(!) directive line.

%description mod_define -l pl
Modu ten umoliwia definicj zmiennych dla dowolnych dyrektyw, tzn.
zmiennych, ktre mog by rozwijane w dowolnej linii dyrektywy.

%package mod_digest
Summary:	Older version of apache user authentication module using MD5 Digest Authentication
Summary(pl):	Starsza wersja moduu apache do autoryzacji MD5
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_digest) = %{version}-%{release}
Obsoletes:	apache-mod_digest < 2.0.0

%description mod_digest
This package contains mod_digest module. It provides user
authentication using MD5 Digest Authentication. It implements an older
version of the MD5 Digest Authentication specification which will
probably not work with modern browsers. Please take a look at
mod_auth_digest which implements the most recent version of the
standard.

%description mod_digest -l pl
Modu ten dostarcza metod autoryzacji bazujc na MD5 Digest
Authentication. Implementuje on jedynie starsz wersj specyfikacji
uwierzytelniania MD5, i moe nie dziaa z nowoczesnymi
przegldarkami. Lepiej uy moduu mod_auth_digest implementujcego
najnowsz wersj standardu.

%package mod_dir
Summary:	Apache module for "trailing slash" redirects and serving directory index files
Summary(pl):	Modu oferujcy przekierowania i serwowanie indeksu katalogu
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_dir) = %{version}-%{release}
Provides:	webserver(indexfile)
Obsoletes:	apache-mod_dir < 2.0.0

%description mod_dir
This package contains mod_dir which provides "trailing slash"
redirects and serving directory index files.

%description mod_dir -l pl
Modu oferujcy przekierowania o "kocowy slash" oraz przekierowania i
udostpnianie indeksu katalogu.

%package mod_env
Summary:	Passing of environments to CGI scripts
Summary(pl):	Przekazywanie rodowiska do skryptw CGI
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_env) = %{version}-%{release}

%description mod_env
This module allows for control of the environment that will be
provided to CGI scripts and SSI pages. Environment variables may be
passed from the shell which invoked the httpd process. Alternatively,
environment variables may be set or unset within the configuration
process.

%description mod_env -l pl
Ten modu pozwala na kontrol rodowiska udostpnianego skryptom CGI i
stronom SSI. Zmienne rodowiskowe mog by przekazywane z powoki w
czasie uruchamiania procesu httpd, albo - alternatywnie - ustawiane i
usuwane w procesie konfiguracji.

%package mod_expires
Summary:	Apache module which generates Expires HTTP headers
Summary(pl):	Modu generujcy nagwki HTTP Expires
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_expires) = %{version}-%{release}
Obsoletes:	apache-mod_expires < 2.0.0

%description mod_expires
This module controls the setting of the Expires HTTP header in server
responses. The expiration date can set to be relative to either the
time the source file was last modified, or to the time of the client
access.

%description mod_expires -l pl
Modu kontroluje ustawianie nagwka HTTP Expires. Data wyganicia
wanoci moe by ustalana w zalenoci od czasu modyfikacji plikw
rdowych lub odwoania klienta.

%package mod_headers
Summary:	Apache module allows for the customization of HTTP response headers
Summary(pl):	Modu pozwalajcy na modyfikacj nagwkw HTTP
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_headers) = %{version}-%{release}
Obsoletes:	apache-mod_headers < 2.0.0

%description mod_headers
This package contains mod_headers module. The module allows for the
customization of HTTP response headers. Headers can be merged,
replaced or removed.

%description mod_headers -l pl
Modu pozwalajcy na czenie, usuwania, zamian nagwkw HTTP
wysyanych do przegldarki. Nagwki mog by czone, zastpowane lub
usuwane.

%package mod_imap
Summary:	Apache module with imap-file handler
Summary(pl):	Modu Apache'a z obsug imap-file
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_imap) = %{version}-%{release}
Obsoletes:	apache-mod_imap < 2.0.0

%description mod_imap
This package contains mod_imap module. It provides for .map files,
replacing the functionality of the imagemap CGI program. Any directory
or document type configured to use the handler imap-file.

%description mod_imap -l pl
Modu umoliwiajcy obsug plikw .map, zastpujcy funkcjonalno
programu CGI imagemap.

%package mod_include
Summary:	Server-parsed documents
Summary(pl):	Dokumenty przetwarzane po stronie serwera
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_include) = %{version}-%{release}

%description mod_include
This module provides a handler which will process files before they
are sent to the client. The processing is controlled by specially
formated SGML comments, referred to as elements. These elements allow
conditional text, the inclusion other files or programs, as well as
the setting and printing of environment variables.

%description mod_include -l pl
Ten modu dostarcza procedur obsugi przetwarzajc pliki przed
wysaniem ich do klienta. Przetwarzanie jest sterowane specjalnie
sformatowanymi komentarzami SGML, nazywanymi elementami. Elementy te
pozwalaj na tekst warunkowy, doczanie innych plikw lub programw,
a take ustawianie i wypisywanie zmiennych rodowiskowych.

%package mod_info
Summary:	Apache module with comprehensive overview of the server configuration
Summary(pl):	Modu dostarczajcy informacji na temat serwera
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_info) = %{version}-%{release}
Obsoletes:	apache-mod_info < 2.0.0

%description mod_info
This package contains mod_info module. It provides a comprehensive
overview of the server configuration including all installed modules
and directives in the configuration files.

%description mod_info -l pl
Modu dostarczajcy wyczerpujcych informacji o konfiguracji serwera,
w tym zainstalowanych moduach oraz dyrektywach w plikach
konfiguracyjnych.

%package mod_log_agent
Summary:	Logging of User Agents
Summary(pl):	Logowanie nazw klientw (User Agent)
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_log_agent) = %{version}-%{release}

%description mod_log_agent
This module is provided strictly for compatibility with NCSA httpd,
and is deprecated. We recommend you use mod_log_config instead.

%description mod_log_agent -l pl
Ten modu jest dostarczony wycznie dla kompatybilnoci z NCSA httpd
i jest niezalecany. Zamiast niego lepiej uywa mod_log_config.

%package mod_log_config
Summary:	User-configurable logging replacement for mod_log_common
Summary(pl):	Konfigurowalny logujcy zamiennik dla mod_log_common
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_log_config) = %{version}-%{release}

%description mod_log_config
This module provides for flexible logging of client requests. Logs are
written in a customizable format, and may be written directly to a
file, or to an external program. Conditional logging is provided so
that individual requests may be included or excluded from the logs
based on characteristics of the request.

Three directives are provided by this module: TransferLog to create a
log file, LogFormat to set a custom format, and CustomLog to define a
log file and format in one step. The TransferLog and CustomLog
directives can be used multiple times in each server to cause each
request to be logged to multiple files.

%description mod_log_config -l pl
Ten modu umoliwia elastyczne logowanie da klientw. Logi s
zapisywane w konfigurowalnym formacie i mog by zapisywane
bezporednio do pliku lub przekazywane do zewntrznego programu.
Dostpne jest logowanie warunkowe polegajce na wczeniu lub
wyczeniu poszczeglnych da z logowania na podstawie
charakterystyki dania.

Ten modu udostpnia trzy dyrektywy: TransferLog tworzcy plik logu,
LogFormat ustawiajcy wasny format logowania i CustomLog okrelajcy
plik logu i format jednoczenie. Dyrektywy TransferLog i CustomLog
mog by uywane wielokrotnie w kadym serwerze powodujc logowanie
kadego dania do wielu plikw.

%package mod_log_forensic
Summary:	Apache module for forensic logging of the requests
Summary:	Modu Apache'a do logowania da w celu pniejszej analizy
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_log_forensic) = %{version}-%{release}
Obsoletes:	apache-mod_log_forensic < 2.0.0

%description mod_log_forensic
This module provides for forensic logging of client requests. Logging
is done before and after processing a request.

%description mod_log_forensic -l pl
Ten modu pozwala na logowanie da w celu pniejszej analizy.
Logowanie jest wykonywane przed i po przetworzeniu dania.

%package mod_log_referer
Summary:	User-configurable logging replacement for mod_log_common
Summary(pl):	Konfigurowalny logujcy zamiennik dla mod_log_common
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_log_referer) = %{version}-%{release}

%description mod_log_referer
This module is provided strictly for compatibility with NCSA httpd,
and is deprecated. We recommend you use mod_log_config instead.

%description mod_log_referer -l pl
Ten modu jest dostarczony wycznie dla kompatybilnoci z NCSA httpd
i jest niezalecany. Zamiast niego lepiej uywa mod_log_config.

%package mod_mime
Summary:	Determining document types using file extensions
Summary(pl):	Okrelanie typw dokumentw przy uyciu rozszerze plikw
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_mime) = %{version}-%{release}

%description mod_mime
This module is used to determine various bits of "meta information"
about documents. This information relates to the content of the
document and is returned to the browser or used in content-negotiation
within the server. In addition, a "handler" can be set for a document,
which determines how the document will be processed within the server.

%description mod_mime -l pl
Ten modu suy do okrelania rnych fragmentw metainformacji
dotyczcych dokumentw. Informacja ta odnoszi si do zawartoci
dokumentu i jest zwracana przegldarce albo uywana przy negocjacji
treci wewntrz serwera. Ponadto dla dokumentu mona ustawi procedur
obsugi, okrelajc w jaki sposb dokument bdzie przetwarzany
wewntrz serwera.

%package mod_mime_magic
Summary:	Determining document types using "magic numbers"
Summary(pl):	Okrelanie typw dokumentw przy uyciu "liczb magicznych"
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_mime_magic) = %{version}-%{release}

%description mod_mime_magic
This module determines the MIME type of files in the same way the Unix
file(1) command works: it looks at the first few bytes of the file. It
is intended as a "second line of defense" for cases that mod_mime
can't resolve. To assure that mod_mime gets first try at determining a
file's MIME type, be sure to list mod_mime_magic before mod_mime in
the configuration.

This module is derived from a free version of the file(1) command for
Unix, which uses "magic numbers" and other hints from a file's
contents to figure out what the contents are. This module is active
only if the magic file is specified by the MimeMagicFile directive.

%description mod_mime_magic -l pl
Ten modu okrela typ MIME plikw w ten sam sposb, co polecenie
file(1): sprawdza pierwsze kilka bajtw pliku. Ma by "drug lini
obrony" dla przypadkw, ktrych nie moe rozwiza mod_mime. Aby mie
pewno, e mod_mime dostaje pierwsz prb okrelenia typu MIME,
naley upewni si, e mod_mime_magic jest umieszczony w konfiguracji
przed mod_mime.

Ten modu wywodzi si z wolnodostpnej wersji polecenia file(1) dla
uniksw, uywajcej "liczb magicznych" i innych podpowiedzi z
zawartoci plikw w celu rozpoznania zawartoci. Modu jest aktywny
tylko jeli plik magic zosta okrelony dyrektyw MimeMagicFile.

%package mod_mmap_static
Summary:	Apache module for mmap()ing statically configured list files
Summary(pl):	Modu sucy do mmap()owania plikw
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_mmap_static) = %{version}-%{release}
Obsoletes:	apache-mod_mmap_static < 2.0.0

%description mod_mmap_static
This package contains mod_mmap_static module. It provides mmap()ing of
a statically configured list of frequently requested but not changed
files.

%description mod_mmap_static -l pl
Modu umoliwia mmap()owanie statycznie skonfigurowanych plikw
(czsto uywanych, ale nie ulegajcych zmianom).

%package mod_negotiation
Summary:	Content negotiation
Summary(pl):	Negocjacja treci
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_negotiation) = %{version}-%{release}

%description mod_negotiation
Content negotiation, or more accurately content selection, is the
selection of the document that best matches the clients capabilities,
from one of several available documents. There are two implementations
of this.
- A type map (a file with the handler type-map) which explicitly lists
  the files containing the variants.
- A MultiViews search (enabled by the MultiViews Option, where the
  server does an implicit filename pattern match, and choose from
  amongst the results.

%description mod_negotiation -l pl
Negocjacja treci, albo bardziej precyzyjnie wybr treci, to wybr
dokumentu najbardziej pasujcego do moliwoci klienta spord rnych
dostpnych dokumentw. S dwie rne implementacje.
- Odwzorowanie typw (plik z obsug type-map) wypisujcy explicite
  pliki zawierajce warianty.
- Wyszukiwanie MultiViews (wczane opcj MultiViews, kiedy serwer
  dopasowuje implicite wzorzec nazwy pliku i wybiera spord wynikw).

%package mod_proxy
Summary:	Apache module with Web proxy
Summary(pl):	Modu dodajcy obsug serwera proxy
Group:		Networking/Daemons
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_proxy) = %{version}-%{release}
Obsoletes:	apache-mod_proxy < 2.0.0

%description mod_proxy
This package contains module with implementation a proxy/cache for
Apache. It implements proxying capability for FTP, CONNECT (for SSL),
HTTP/0.9, and HTTP/1.0. The module can be configured to connect to
other proxy modules for these and other protocols. Contains patch
from: <http://allafrica.com/tools/apache/mod_proxy/>

%description mod_proxy -l pl
Modu zawiera implementacj serwera proxy/cache dla Apache.
Iplementacja zawiera obsug FTP, CONNECT (dla SSL), HTTP/0.9 i
HTTP/1.0. Ten modu moe by skonfigurowany tak, aby czy si z
innymi moduami proxy dla tych i innych protokow. Zawiera at z
<http://allafrica.com/tools/apache/mod_proxy/>.

%package mod_rewrite
Summary:	Apache module with rule-based engine for rewrite requested URLs on the fly
Summary(pl):	Modu do ,,przepisywania'' adresw URL w locie
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_rewrite) = %{version}-%{release}
Obsoletes:	apache-mod_rewrite < 2.0.0

%description mod_rewrite
This package contains It provides a rule-based rewriting engine to
rewrite requested URLs on the fly.

%description mod_rewrite -l pl
Modu oferujcy moliwo ,,przepisywania'' adresw URL w locie.

%package mod_setenvif
Summary:	Set environment variables based on client information
Summary(pl):	Ustawianie zmiennych rodowiskowych w oparciu o informacje o kliencie
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_setenvif) = %{version}-%{release}

%description mod_setenvif
The mod_setenvif module allows you to set environment variables
according to whether different aspects of the request match regular
expressions you specify. These environment variables can be used by
other parts of the server to make decisions about actions to be taken.

%description mod_setenvif -l pl
Modu mod_setenvif pozwala na ustawianie zmiennych rodowiskowych w
zalenoci od rnych aspektw dania pasujcych do podanych wyrae
regularnych. Te zmienne rodowiskowe mog by uywane przez inne
czci serwera do podejmowania decyzji o podejmowanych akcjach.

%package mod_speling
Summary:	Automatically correct minor typos in URLs
Summary(pl):	Automatyczne poprawianie pomniejszych literwek w URL-ach
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_speling) = %{version}-%{release}

%description mod_speling
Requests to documents sometimes cannot be served by the core Apache
server because the request was misspelled or miscapitalized. This
module addresses this problem by trying to find a matching document,
even after all other modules gave up. It does its work by comparing
each document name in the requested directory against the requested
document name without regard to case, and allowing up to one
misspelling (character insertion / omission / transposition or wrong
character). A list is built with all document names which were matched
using this strategy.

%description mod_speling -l pl
Czasami dania dokumentw nie mog by wykonane przez sam serwer
Apache, poniewa danie zostao napisane z bdem w znakach lub
wielkoci liter. Ten modu prbuje rozwiza ten problem prbujc
znale pasujcy dokument, nawet jeli inne moduy si podday. Dziaa
on poprzez porwnywanie nazwy kadego dokumentu w danym katalogu z
dan nazw dokumentu bez zwracania uwagi na wielko liter i
pozwalajc na jeden bd (dodany, pominity, przestawiony lub zy
znak). Tworzona jest lista dla wszystkich nazw dokumentw pasujcych
dla tej strategii.

%package mod_status
Summary:	Server status report module for apache
Summary(pl):	Modu dostarczajcy informacje statystyczne o serwerze
Group:		Networking/Daemons
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_status) = %{version}-%{release}
Obsoletes:	apache-mod_status < 2.0.0

%description mod_status
The Status module allows a server administrator to find out how well
their server is performing. A HTML page is presented that gives the
current server statistics in an easily readable form. If required this
page can be made to automatically refresh (given a compatible
browser).

%description mod_status -l pl
Modu pozwala administratorowi na przegldanie statystyk dotyczcych
pracy serwera apache (w postaci strony HTML). Strona ta moe si
automatycznie odwiea (o ile jest to obsugiwane przez
przegldark).

%package mod_unique_id
Summary:	Apache module which provides a magic token for each request
Summary(pl):	Modu nadajcy kademu daniu unikalny token
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_unique_id) = %{version}-%{release}
Obsoletes:	apache-mod_unique_id < 2.0.0

%description mod_unique_id
This package contains the mod_unique_id. This module provides a magic
token for each request which is guaranteed to be unique across "all"
requests under very specific conditions. The unique identifier is even
unique across multiple machines in a properly configured cluster of
machines. The environment variable UNIQUE_ID is set to the identifier
for each request. Unique identifiers are useful for various reasons
which are beyond the scope of this document.

%description mod_unique_id -l pl
Modu nadaje przy kadym daniu token unikalny w ramach wszystkich
da, nawet w ramach poprawnie skonfigurowanego klastra z wielu
maszyn. Modu ustawia przy kadym daniu zmienn rodowiskow
UNIQUE_ID.

%package mod_userdir
Summary:	User home directories
Summary(pl):	Katalogi domowe uytkownikw
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_userdir) = %{version}-%{release}

%description mod_userdir
This module provides for user-specific directories.

%description mod_userdir -l pl
Ten modu dostarcza obsug katalogw specyficznych dla uzytkownika.

%package mod_usertrack
Summary:	Apache module for user tracking using cookies
Summary(pl):	Modu sucy do ledzenia uytkownikw przy uyciu ciasteczek
Group:		Networking/Daemons
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_usertrack) = %{version}-%{release}
Obsoletes:	apache-mod_usertrack < 2.0.0

%description mod_usertrack
This package contains the user tracking module which did its own
logging using CookieLog directory. This module allow multiple log
files.

%description mod_usertrack -l pl
Modu pozwalajcy na ledzenie uytkownikw przy pomocy ciasteczek.
Modu ma wasne logowanie przy uyciu katalogu CookieLog; pozwala na
wiele plikw logw.

%package mod_vhost_alias
Summary:	Apache module for dynamically configured mass virtual hosting
Summary(pl):	Modu dodajcy obsug hostw wirtualnych
Group:		Networking/Daemons
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}(EAPI) = %{version}-%{release}
Provides:	apache(mod_vhost_alias) = %{version}-%{release}
Obsoletes:	apache-mod_vhost_alias < 2.0.0

%description mod_vhost_alias
This package contains the mod_vhost_alias. It provides support for
dynamically configured mass virtual hosting.

%description mod_vhost_alias -l pl
Modu umoliwia na dynamiczne konfigurowanie masowej iloci serwerw
wirtualnych.

%package -n htpasswd-%{name}
Summary:	Apache 1.x htpasswd utility
Summary(pl):	Narzdzie htpasswd z Apache'a 1.x
Group:		Networking/Utilities
Provides:	htpasswd
Obsoletes:	htpasswd

%description -n htpasswd-%{name}
htpasswd is used to create and update the flat-files used to store
usernames and password for basic authentication of HTTP users. This
package contains htpasswd from Apache 1.x; this version supports
plaintext passwords and CRYPT (default), MD5 and SHA1 encryptions.

%description -n htpasswd-%{name} -l pl
htpasswd suy do tworzenia i uaktualniania paskich plikw sucych
do przechowywania nazw uytkownikw i hase do uwierzytelnienia basic
uytkownikw HTTP. Ten pakiet zawiera htpasswd z Apache'a 1.x; ta
wersja obsuguje hasa zapisane czystym tekstem oraz zakodowane
algorytmami CRYPT (domylnym), MD5 i SHA1.

%prep
%setup -q -n apache_%{version} -a3 %{?with_lingerd:-a25}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p1
%{?with_ipv6:%patch9 -p1}
%patch10 -p1
%patch11 -p1
%patch12 -p1
%{?with_rewrite_ldap:%patch13 -p1}
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%{!?with_ipv6:%patch19 -p1}
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1

%patch26 -p2
%patch27 -p2
%patch28 -p2
%patch29 -p2
%patch30 -p2
%patch31 -p2
%patch32 -p2
%patch33 -p2
%patch34 -p2
%patch35 -p2
%patch36 -p2
%patch37 -p2
%patch38 -p2
%patch39 -p2
%patch40 -p2
%patch41 -p2

%if %{with lingerd}
mv lingerd-* _lingerd
mkdir -p lingerd
cp -a _lingerd/{README,TUNING,LICENSE,TODO,ChangeLog} lingerd
cp -a _lingerd/{apache-1.3/ap_lingerd.c,li_config.h} src/main
patch -p0 -d src < _lingerd/apache-1.3/aplinger-ssl.diff
%endif

%build
OPTIM="%{rpmcflags} -DHARD_SERVER_LIMIT=2048" \
./configure \
	--prefix=%{_sysconfdir} \
	--exec-prefix=%{_libexecdir} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libexecdir=%{_sysconfdir}/modules \
	--localstatedir=/var \
	--mandir=%{_mandir} \
	--manualdir=%{manualdir} \
	--runtimedir=/var/run \
	--logfiledir=/var/log/apache \
	--with-layout=PLD \
	--without-confadjust \
	--enable-module=all \
	--enable-module=auth_digest \
	--enable-shared=max \
	--proxycachedir=/var/cache/apache \
	--with-perl=%{__perl} \
	--enable-suexec \
	--suexec-caller=http \
	--suexec-uidmin=500 \
	--suexec-gidmin=500 \
	--suexec-docroot=%{_datadir} \
	--disable-rule=WANTHSREGEX \
	--enable-rule=EAPI \
	--target=apache \
	%{?with_ipv6:--enable-rule=INET6}

%{__make} \
	CC="%{__cc}"
	LIBS1="-lm -lcrypt -lmm -ldl"

rm -f src/modules/standard/mod_auth_db.so
%{__make} -C src/modules/standard mod_auth_db.so \
	CC="%{__cc}"
	LIBS_SHLIB="-ldb"

rm -f src/modules/standard/mod_rewrite.so
%{__make} -C src/modules/standard mod_rewrite.so \
	CC="%{__cc}"
	LIBS_SHLIB="-ldb %{?with_rewrite_ldap:-lldap -llber}"

%if %{with lingerd}
%{__make} -C _lingerd lingerd \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"
	LDFLAGS="%{rpmldflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,sysconfig,monit} \
	$RPM_BUILD_ROOT%{_datadir}/errordocs \
	$RPM_BUILD_ROOT%{_sysconfdir}/{webapps.d,conf.d} \
	$RPM_BUILD_ROOT%{_libexecdir} \
	$RPM_BUILD_ROOT/var/{log/{apache,archiv/apache},run/apache}

%{__make} -j1 install-quiet \
	root=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/apache1
sed -e '%{?with_lingerd:s,/usr/lib,%{_libdir},g}' %{SOURCE1} > $RPM_BUILD_ROOT/etc/rc.d/init.d/apache
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/apache
bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

touch $RPM_BUILD_ROOT/var/log/apache/{access,error,agent,referer}_log

install errordocs/* $RPM_BUILD_ROOT%{_datadir}/errordocs

mv $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf conf/apache.conf.dist
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf

CFG="$RPM_BUILD_ROOT%{_sysconfdir}/conf.d"

echo "LoadModule access_module      modules/mod_access.so" > $CFG/01_mod_access.conf
echo "LoadModule alias_module       modules/mod_alias.so" > $CFG/02_mod_alias.conf
echo "LoadModule asis_module        modules/mod_asis.so" > $CFG/03_mod_asis.conf
install %{SOURCE21} $CFG/04_mod_cern_meta.conf
echo "LoadModule cgi_module         modules/mod_cgi.so" > $CFG/05_mod_cgi.conf
echo "LoadModule env_module         modules/mod_env.so" > $CFG/06_mod_env.conf
echo "LoadModule include_module     modules/mod_include.so" > $CFG/07_mod_include.conf
echo "LoadModule log_agent_module   modules/mod_log_agent.so" > $CFG/08_mod_log_agent.conf
install %{SOURCE14} $CFG/09_mod_log_config.conf
echo "LoadModule log_referer_module modules/mod_log_referer.so" > $CFG/10_mod_log_referer.conf
install %{SOURCE16}	$CFG/11_mod_mime_magic.conf
install %{SOURCE19}	$CFG/12_mod_mime.conf
install %{SOURCE18} $CFG/13_mod_negotiation.conf
install %{SOURCE22}	$CFG/14_mod_setenvif.conf
echo "LoadModule speling_module     modules/mod_speling.so" > $CFG/15_mod_speling.conf
install %{SOURCE15}	$CFG/16_mod_userdir.conf

install %{SOURCE8}	$CFG/20_common.conf

install %{SOURCE23}	$CFG/20_mod_vhost_alias.conf
install %{SOURCE9}	$CFG/25_mod_status.conf
install %{SOURCE10}	$CFG/30_mod_proxy.conf
install %{SOURCE20}	$CFG/50_mod_actions.conf
echo "LoadModule auth_module	modules/mod_auth.so" > $CFG/51_mod_auth.conf
echo "LoadModule auth_anon_module	modules/mod_auth_anon.so" > $CFG/52_mod_auth_anon.conf
echo "LoadModule auth_db_module	modules/mod_auth_db.so" > $CFG/53_mod_auth_db.conf
echo "LoadModule auth_digest_module	modules/mod_auth_digest.so" > $CFG/54_mod_auth_digest.conf
install %{SOURCE11}	$CFG/57_mod_autoindex.conf
install %{SOURCE12}	$CFG/59_mod_dir.conf
echo "LoadModule expires_module	modules/mod_expires.so" > $CFG/67_mod_expires.conf
echo "LoadModule headers_module	modules/mod_headers.so" > $CFG/68_mod_headers.conf
echo "LoadModule imap_module	modules/mod_imap.so" > $CFG/69_mod_imap.conf
echo "LoadModule rewrite_module	modules/mod_rewrite.so" > $CFG/70_mod_rewrite.conf
echo "LoadModule usertrack_module	modules/mod_usertrack.so" > $CFG/71_mod_usertrack.conf
echo "LoadModule unique_id_module	modules/mod_unique_id.so" > $CFG/72_mod_unique_id.conf
echo "LoadModule define_module	modules/mod_define.so" > $CFG/73_mod_define.conf
echo "LoadModule digest_module	modules/mod_digest.so" > $CFG/74_mod_digest.conf
echo "LoadModule log_forensic_module	modules/mod_log_forensic.so" > $CFG/75_mod_log_forensic.conf
echo "LoadModule mmap_static_module	modules/mod_mmap_static.so" > $CFG/76_mod_mmap_static.conf
install %{SOURCE13} $CFG/77_mod_info.conf
install %{SOURCE24}	$CFG/80_errordocs.conf
install %{SOURCE17}	$CFG/80_mod_alias.conf

install %{SOURCE6} $RPM_BUILD_ROOT/etc/monit/apache.monitrc

ln -sf index.html.en $RPM_BUILD_ROOT%{_datadir}/html/index.html

mv $RPM_BUILD_ROOT%{_sbindir}/apxs $RPM_BUILD_ROOT%{apxs}
mv $RPM_BUILD_ROOT%{_mandir}/man8/apxs.8 $RPM_BUILD_ROOT%{_mandir}/man8/apxs1.8

perl -p -i -e 's/^if ...O ne "MSWin32"./if (0)/' $RPM_BUILD_ROOT%{apxs}

mv $RPM_BUILD_ROOT%{_sysconfdir}/modules/* $RPM_BUILD_ROOT%{_libexecdir}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/modules
ln -s ../..%{_libexecdir} $RPM_BUILD_ROOT%{_sysconfdir}/modules
ln -s ../../var/log/apache $RPM_BUILD_ROOT%{_sysconfdir}/logs

ln -sf %{_bindir}/htpasswd $RPM_BUILD_ROOT%{_sbindir}

# Not packaged.
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/*.default
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/{access,srm}.conf
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/mime.types
rm -f $RPM_BUILD_ROOT%{_libexecdir}/*.exp
rm -f $RPM_BUILD_ROOT%{_libexecdir}/mod_{auth_dbm,example}.so
rm -f $RPM_BUILD_ROOT%{_datadir}/icons{,/small}/README*
rm -f $RPM_BUILD_ROOT%{_mandir}/README*

# Not for our os or for older apache
rm $RPM_BUILD_ROOT%{_prefix}/share/apache1-manual/{cygwin,ebcdic,install-{z,}tpf,man-template}.html
rm $RPM_BUILD_ROOT%{_prefix}/share/apache1-manual/mod/mod_{auth_dbm,browser,dld,example,isapi,log_common}.html
rm $RPM_BUILD_ROOT%{_prefix}/share/apache1-manual/{mpeix,netware,new_features_1_[0-2],readme-tpf,suexec_1_2,unixware,vhosts/details_1_2}.html
rm $RPM_BUILD_ROOT%{_prefix}/share/apache1-manual/{win_{compiling,service}.html*,windows.html*}

%if %{with lingerd}
install _lingerd/lingerd $RPM_BUILD_ROOT%{_libexecdir}
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/lingerd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre base
%groupadd -g 51 -r -f http
%useradd -u 51 -r -d %{httpdir} -s /bin/false -c "HTTP User" -g http http

if [ "`getent passwd http | cut -d: -f6`" = "/home/httpd" ]; then
	/usr/sbin/usermod -d %{httpdir} http
fi

%post base
/sbin/chkconfig --add apache
umask 137
touch /var/log/apache/{access,error,agent,referer}_log

%preun base
if [ "$1" = "0" ]; then
	%service apache stop
	/sbin/chkconfig --del apache
fi

%postun base
if [ "$1" = "0" ]; then
	%userremove http
	%groupremove http
fi

%triggerpostun base -- apache < 2.0.0
%groupadd -g 51 -r -f http
%useradd -u 51 -r -d %{httpdir} -s /bin/false -c "HTTP User" -g http http
/sbin/chkconfig --add apache

%triggerpostun base -- apache1 < 1.3.33-1.85
# upgrading from older version
if [ "$1" = "2" ]; then
	sed -i -e '
		# get apxs over confusion of changed ServerRoot
		s,^\(LoadModule .*\) lib/apache1/,\1 modules/,

		# update ServerRoot
		s,^ServerRoot.*,ServerRoot "/etc/apache",
	' /etc/apache/apache.conf
fi

%triggerpostun base -- %{name} <= 1.3.31-5
%banner %{name} -e -a <<EOF
WARNING!!!
 Since 1.3.31-5 version autoindex module has been separated to package %{name}-mod_autoindex
 If you need previous functionality please run:
poldek -Uv %{name}-mod_autoindex

EOF

%triggerpostun base -- %{name} < 1.3.33-3.4
%banner %{name} -e -a <<EOF
WARNING!!!
 Since 1.3.33-3.4 version following modules have been separated to subpackages
 If you need previous functionality please run:
 poldek -Uv %{name}-MODULENAME
 where MODULENAME is one (or all) of:
	mod_asis
	mod_cern_meta
	mod_cgi
	mod_env
	mod_include
	mod_log_agent
	mod_log_config
	mod_log_referer
	mod_mime
	mod_mime_magic
	mod_negotiation
	mod_setenvif
	mod_speling
	mod_userdir
EOF

%triggerpostun base -- %{name} < 1.3.33-6.7
# update /etc/sysconfig/apache1 -> apache rename
if [ -f /etc/sysconfig/apache1.rpmsave ]; then
	cp -f /etc/sysconfig/apache{,.rpmnew}
	mv -f /etc/sysconfig/apache{1.rpmsave,}
fi

%triggerpostun base -- %{name} < 1.3.34-5.9
if ! grep -q 'Include webapps.d/' /etc/apache/apache.conf; then
# make sure webapps.d is included
cp -f /etc/apache/apache.conf{,.rpmsave}
sed -i -e '
	/^Include conf.d/{
		a
		a# Include webapps config
		aInclude webapps.d/*.conf
	}
' /etc/apache/apache.conf
fi

# rename monitrc to be service name like other files
if [ -f /etc/monit/apache1.monitrc.rpmsave ]; then
	mv -f /etc/monit/apache.monitrc{,.rpmnew}
	mv -f /etc/monit/{apache1.monitrc.rpmsave,apache.monitrc}
fi

%triggerpostun mod_auth_db -- apache-mod_auth_db <= 1.3.20-2
sed -i -e '/^\(Add\|Load\)Module.*mod_auth_dbm\.\(so\|c\)/d' /etc/apache/apache.conf

%triggerpostun mod_autoindex -- apache1-mod_autoindex < 1.3.33-1.85
sed -i -e '
	/^\(Add\|Load\)Module.*mod_autoindex\.\(so\|c\)/d
	s,^Include.*mod_autoindex.conf,Include %{_sysconfdir}/conf.d/*_mod_autoindex.conf,
' /etc/apache/apache.conf

%triggerpostun mod_proxy -- apache1-mod_proxy < 1.3.33-1.85
sed -i -e '
	/^LoadModule.*libproxy\.so/d
	/^AddModule.*mod_proxy\.c/d
	s,^Include.*mod_proxy.conf,Include %{_sysconfdir}/conf.d/*_mod_proxy.conf,
' /etc/apache/apache.conf

%triggerpostun mod_status -- apache1-mod_status < 1.3.33-1.85
sed -i -e '
	/^\(Add\|Load\)Module.*mod_status\.\(so\|c\)/d
	s,^Include.*mod_status.conf,Include %{_sysconfdir}/conf.d/*_mod_status.conf,
' /etc/apache/apache.conf

%triggerpostun mod_vhost_alias -- apache1-mod_vhost_alias < 1.3.33-1.85
sed -i -e '
	/^\(Add\|Load\)Module.*mod_vhost_alias\.\(so\|c\)/d
	s,^Include.*mod_vhost_alias.conf,Include %{_sysconfdir}/conf.d/*_mod_vhost_alias.conf,
' /etc/apache/apache.conf

%posttrans base
# minimizing apache restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of module (post: $1 = 1)
# 2. uninstall of module (postun: $1 == 0)
#
# the strict internal deps between apache modules and
# main package are very important for all this to work.

# restart webserver at the end of transaction
%service apache restart "Apache HTTP daemon"

# macro called at module post scriptlet
%define	module_post \
if [ "$1" = "1" ]; then \
	%service -q apache restart \
fi

# macro called at module postun scriptlet
%define	module_postun \
if [ "$1" = "0" ]; then \
	%service -q apache restart \
fi

%post errordocs
if [ "$1" = "1" ]; then
	%service -q apache reload
fi

%postun errordocs
if [ "$1" = "0" ]; then
	%service -q apache reload
fi

%post mod_access
%module_post

%postun mod_access
%module_postun

%post mod_actions
%module_post

%postun mod_actions
%module_postun

%post mod_alias
%module_post

%postun mod_alias
%module_postun

%post mod_asis
%module_post

%postun mod_asis
%module_postun

%post mod_auth
%module_post

%postun mod_auth
%module_postun

%post mod_auth_anon
%module_post

%postun mod_auth_anon
%module_postun

%post mod_auth_db
%module_post

%postun mod_auth_db
%module_postun

%post mod_auth_digest
%module_post

%postun mod_auth_digest
%module_postun

%post mod_autoindex
%module_post

%postun mod_autoindex
%module_postun

%post mod_cern_meta
%module_post

%postun mod_cern_meta
%module_postun

%post mod_cgi
%module_post

%postun mod_cgi
%module_postun

%post mod_define
%module_post

%postun mod_define
%module_postun

%post mod_digest
%module_post

%postun mod_digest
%module_postun

%post mod_dir
%module_post

%postun mod_dir
%module_postun

%post mod_env
%module_post

%postun mod_env
%module_postun

%post mod_expires
%module_post

%postun mod_expires
%module_postun

%post mod_headers
%module_post

%postun mod_headers
%module_postun

%post mod_imap
%module_post

%postun mod_imap
%module_postun

%post mod_include
%module_post

%postun mod_include
%module_postun

%post mod_info
%module_post

%postun mod_info
%module_postun

%post mod_log_agent
%module_post

%postun mod_log_agent
%module_postun

%post mod_log_config
%module_post

%postun mod_log_config
%module_postun

%post mod_log_forensic
%module_post

%postun mod_log_forensic
%module_postun

%post mod_log_referer
%module_post

%postun mod_log_referer
%module_postun

%post mod_mime
%module_post

%postun mod_mime
%module_postun

%post mod_mime_magic
%module_post

%postun mod_mime_magic
%module_postun

%post mod_mmap_static
%module_post

%postun mod_mmap_static
%module_postun

%post mod_negotiation
%module_post

%postun mod_negotiation
%module_postun

%post mod_proxy
%module_post

%postun mod_proxy
%module_postun

%post mod_rewrite
%module_post

%postun mod_rewrite
%module_postun

%post mod_setenvif
%module_post

%postun mod_setenvif
%module_postun

%post mod_speling
%module_post

%postun mod_speling
%module_postun

%post mod_status
%module_post

%postun mod_status
%module_postun

%post mod_unique_id
%module_post

%postun mod_unique_id
%module_postun

%post mod_userdir
%module_post

%postun mod_userdir
%module_postun

%post mod_usertrack
%module_post

%postun mod_usertrack
%module_postun

%post mod_vhost_alias
%module_post

%postun mod_vhost_alias
%module_postun

%files
%defattr(644,root,root,755)

%files base
%defattr(644,root,root,755)
%doc ABOUT_APACHE src/CHANGES README
%doc conf/mime.types conf/apache.conf.dist
%{?with_lingerd:%doc lingerd}
%attr(754,root,root) /etc/rc.d/init.d/apache
%attr(750,root,root) %dir %{_sysconfdir}
%{_sysconfdir}/modules
%{_sysconfdir}/logs
%attr(750,root,root) %dir %{_sysconfdir}/conf.d
%attr(750,root,root) %dir %{_sysconfdir}/webapps.d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_common.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/apache
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/monit/*.monitrc
%dir %{_libexecdir}
%if %{with lingerd}
%attr(755,root,root) %{_libexecdir}/lingerd
%attr(770,root,http) %dir %{_localstatedir}/run/lingerd
%endif
%attr(755,root,root) %{_bindir}/checkgid
%attr(755,root,root) %{_sbindir}/apache
%dir %attr(1773,root,http) /var/run/apache
%{_mandir}/man8/apache.8*
%attr(2751,root,logs) %dir /var/log/apache
%attr(2750,root,logs) %dir /var/log/archiv/apache
%attr(640,root,logs) %ghost /var/log/apache/*
%dir %{_datadir}
%attr(755,root,root) %dir %{_datadir}/html
%dir %{_datadir}/icons
%{_datadir}/icons/*.gif
%{_datadir}/icons/*.png
%dir %{_datadir}/icons/small
%{_datadir}/icons/small/*.gif
%{_datadir}/icons/small/*.png
%attr(755,root,root) %{_datadir}/cgi-bin

%files apxs
%defattr(644,root,root,755)
%attr(755,root,root) %{apxs}
%{_mandir}/man8/apxs1.8*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ab
%attr(755,root,root) %{_sbindir}/apachectl
%attr(755,root,root) %{_bindir}/htdigest
%attr(755,root,root) %{_sbindir}/logresolve
%attr(755,root,root) %{_sbindir}/rotatelogs
%{_mandir}/man1/htdigest.1*
%{_mandir}/man8/ab*
%{_mandir}/man8/apachectl*
%{_mandir}/man8/[l-z]*
%lang(hu) %{_mandir}/hu/man8/*
%lang(ko) %{_mandir}/ko/man8/*
%lang(pl) %{_mandir}/pl/man8/*

%files index
%defattr(644,root,root,755)
%config(noreplace,missingok) %{_datadir}/html/index.html
# NOTE: html extensions are not the same as (g)libc locale names
%lang(ca) %{_datadir}/html/index.html.ca
%lang(cs) %{_datadir}/html/index.html.cz
%lang(de) %{_datadir}/html/index.html.de
%lang(da) %{_datadir}/html/index.html.dk
%lang(et) %{_datadir}/html/index.html.ee
%lang(el) %{_datadir}/html/index.html.el
%{_datadir}/html/index.html.en
%lang(es) %{_datadir}/html/index.html.es
%lang(fr) %{_datadir}/html/index.html.fr
%lang(he) %{_datadir}/html/index.html.he.iso8859-8
%lang(hu) %{_datadir}/html/index.html.hu
%lang(it) %{_datadir}/html/index.html.it
%lang(ja) %{_datadir}/html/index.html.ja.jis
%lang(ko) %{_datadir}/html/index.html.kr.iso-kr
%lang(de_LU) %{_datadir}/html/index.html.lb.utf8
%lang(nl) %{_datadir}/html/index.html.nl
%lang(nn) %{_datadir}/html/index.html.nn
%lang(nb) %{_datadir}/html/index.html.no
%lang(pl) %{_datadir}/html/index.html.po.iso-pl
%lang(pt) %{_datadir}/html/index.html.pt
%lang(pt_BR) %{_datadir}/html/index.html.pt-br
%lang(ru) %{_datadir}/html/index.html.ru.cp-1251
%lang(ru) %{_datadir}/html/index.html.ru.cp866
%lang(ru) %{_datadir}/html/index.html.ru.iso-ru
%lang(ru) %{_datadir}/html/index.html.ru.koi8-r
%lang(ru) %{_datadir}/html/index.html.ru.ucs2
%lang(ru) %{_datadir}/html/index.html.ru.ucs4
%lang(ru) %{_datadir}/html/index.html.ru.utf8
%lang(sv) %{_datadir}/html/index.html.se
%lang(zh_TW) %{_datadir}/html/index.html.zh-tw.big5
%{_datadir}/html/*.gif

%files doc
%defattr(644,root,root,755)
%dir %{manualdir}
%dir %{manualdir}/images
%{manualdir}/images/apache_header.gif
%{manualdir}/images/custom_errordocs.gif
%{manualdir}/images/home.gif
%{manualdir}/images/index.gif
%{manualdir}/images/pixel.gif
%{manualdir}/images/sub.gif
%{manualdir}/misc
%{manualdir}/LICENSE
%{manualdir}/bind.html.html
%{manualdir}/bind.html.en
%lang(fr) %{manualdir}/bind.html.fr
%lang(ja) %{manualdir}/bind.html.ja.jis
%{manualdir}/configuring.html.html
%{manualdir}/configuring.html.en
%lang(fr) %{manualdir}/configuring.html.fr
%lang(ja) %{manualdir}/configuring.html.ja.jis
%{manualdir}/content-negotiation.html.html
%{manualdir}/content-negotiation.html.en
%lang(ja) %{manualdir}/content-negotiation.html.ja.jis
%{manualdir}/custom-error.html.html
%{manualdir}/custom-error.html.en
%lang(fr) %{manualdir}/custom-error.html.fr
%lang(ja) %{manualdir}/custom-error.html.ja.jis
%{manualdir}/dns-caveats.html.html
%{manualdir}/dns-caveats.html.en
%lang(fr) %{manualdir}/dns-caveats.html.fr
%lang(ja) %{manualdir}/dns-caveats.html.ja.jis
%{manualdir}/dso.html
%{manualdir}/env.html.html
%{manualdir}/env.html.en
%lang(ja) %{manualdir}/env.html.ja.jis
%{manualdir}/footer.html
%{manualdir}/handler.html.html
%{manualdir}/handler.html.en
%lang(ja) %{manualdir}/handler.html.ja.jis
%{manualdir}/header.html
%{manualdir}/index.html.html
%{manualdir}/index.html.en
%lang(fr) %{manualdir}/index.html.fr
%lang(ja) %{manualdir}/index.html.ja.jis
%{manualdir}/install.html.html
%{manualdir}/install.html.en
%lang(es) %{manualdir}/install.html.es
%lang(fr) %{manualdir}/install.html.fr
%lang(ja) %{manualdir}/install.html.ja.jis
%{manualdir}/invoking.html.html
%{manualdir}/invoking.html.en
%lang(fr) %{manualdir}/invoking.html.fr
%lang(ja) %{manualdir}/invoking.html.ja.jis
%{manualdir}/keepalive.html.html
%{manualdir}/keepalive.html.en
%lang(ja) %{manualdir}/keepalive.html.ja.jis
%{manualdir}/location.html.html
%{manualdir}/location.html.en
%lang(ja) %{manualdir}/location.html.ja.jis
%{manualdir}/logs.html
%{manualdir}/multilogs.html
%{manualdir}/new_features_1_3.html.html
%{manualdir}/new_features_1_3.html.en
%lang(ja) %{manualdir}/new_features_1_3.html.ja.jis
%{manualdir}/process-model.html.html
%{manualdir}/process-model.html.en
%lang(ja) %{manualdir}/process-model.html.ja.jis
%{manualdir}/sections.html.html
%{manualdir}/sections.html.en
%lang(ja) %{manualdir}/sections.html.ja.jis
%{manualdir}/server-wide.html.html
%{manualdir}/server-wide.html.en
%lang(fr) %{manualdir}/server-wide.html.fr
%lang(ja) %{manualdir}/server-wide.html.ja.jis
%{manualdir}/sitemap.html
%{manualdir}/sourcereorg.html
%{manualdir}/stopping.html.html
%{manualdir}/stopping.html.en
%lang(fr) %{manualdir}/stopping.html.fr
%{manualdir}/upgrading_to_1_3.html
%{manualdir}/urlmapping.html
%dir %{manualdir}/howto
%{manualdir}/howto/cgi.html.html
%{manualdir}/howto/cgi.html.en
%lang(ja) %{manualdir}/howto/cgi.html.ja.jis
%{manualdir}/howto/footer.html
%{manualdir}/howto/header.html
%{manualdir}/howto/htaccess.html
%{manualdir}/howto/ssi.html.html
%{manualdir}/howto/ssi.html.en
%lang(ja) %{manualdir}/howto/ssi.html.ja.jis
%dir %{manualdir}/mod
%{manualdir}/mod/core.html.html
%{manualdir}/mod/core.html.en
%lang(fr) %{manualdir}/mod/core.html.fr
%lang(ja) %{manualdir}/mod/core.html.ja.jis
%{manualdir}/mod/directive-dict.html.html
%{manualdir}/mod/directive-dict.html.en
%lang(fr) %{manualdir}/mod/directive-dict.html.fr
%lang(ja) %{manualdir}/mod/directive-dict.html.ja.jis
%{manualdir}/mod/directives.html.html
%lang(de) %{manualdir}/mod/directives.html.de
%{manualdir}/mod/directives.html.en
%lang(fr) %{manualdir}/mod/directives.html.fr
%lang(ja) %{manualdir}/mod/directives.html.ja.jis
%{manualdir}/mod/footer.html
%{manualdir}/mod/header.html
%{manualdir}/mod/index-bytype.html.html
%{manualdir}/mod/index-bytype.html.en
%lang(fr) %{manualdir}/mod/index-bytype.html.fr
%lang(ja) %{manualdir}/mod/index-bytype.html.ja.jis
%{manualdir}/mod/index.html.html
%{manualdir}/mod/index.html.en
%lang(fr) %{manualdir}/mod/index.html.fr
%lang(ja) %{manualdir}/mod/index.html.ja.jis
%{manualdir}/mod/mod_access.html.html
%{manualdir}/mod/mod_access.html.en
%lang(ja) %{manualdir}/mod/mod_access.html.ja.jis
%{manualdir}/mod/mod_alias.html.html
%{manualdir}/mod/mod_alias.html.en
%lang(ja) %{manualdir}/mod/mod_alias.html.ja.jis
%{manualdir}/mod/mod_asis.html.html
%{manualdir}/mod/mod_asis.html.en
%lang(ja) %{manualdir}/mod/mod_asis.html.ja.jis
%{manualdir}/mod/mod_autoindex.html.html
%{manualdir}/mod/mod_autoindex.html.en
%lang(ja) %{manualdir}/mod/mod_autoindex.html.ja.jis
%{manualdir}/mod/mod_cern_meta.html
%{manualdir}/mod/mod_cgi.html.html
%{manualdir}/mod/mod_cgi.html.en
%lang(ja) %{manualdir}/mod/mod_cgi.html.ja.jis
%{manualdir}/mod/mod_env.html.html
%{manualdir}/mod/mod_env.html.en
%lang(ja) %{manualdir}/mod/mod_env.html.ja.jis
%{manualdir}/mod/mod_include.html
%{manualdir}/mod/mod_log_agent.html
%{manualdir}/mod/mod_log_config.html.html
%{manualdir}/mod/mod_log_config.html.en
%lang(ja) %{manualdir}/mod/mod_log_config.html.ja.jis
%{manualdir}/mod/mod_log_referer.html
%{manualdir}/mod/mod_mime.html.html
%{manualdir}/mod/mod_mime.html.en
%lang(ja) %{manualdir}/mod/mod_mime.html.ja.jis
%{manualdir}/mod/mod_mime_magic.html
%{manualdir}/mod/mod_negotiation.html.html
%{manualdir}/mod/mod_negotiation.html.en
%lang(ja) %{manualdir}/mod/mod_negotiation.html.ja.jis
%{manualdir}/mod/mod_setenvif.html.html
%{manualdir}/mod/mod_setenvif.html.en
%lang(ja) %{manualdir}/mod/mod_setenvif.html.ja.jis
%{manualdir}/mod/mod_so.html.html
%{manualdir}/mod/mod_so.html.en
%lang(ja) %{manualdir}/mod/mod_so.html.ja.jis
%{manualdir}/mod/mod_speling.html.html
%{manualdir}/mod/mod_speling.html.en
%lang(ja) %{manualdir}/mod/mod_speling.html.ja.jis
%{manualdir}/mod/mod_userdir.html.html
%{manualdir}/mod/mod_userdir.html.en
%lang(ja) %{manualdir}/mod/mod_userdir.html.ja.jis
%{manualdir}/mod/module-dict.html.html
%{manualdir}/mod/module-dict.html.en
%lang(ja) %{manualdir}/mod/module-dict.html.ja.jis
%dir %{manualdir}/programs
%{manualdir}/programs/ab.html
%{manualdir}/programs/apachectl.html.html
%{manualdir}/programs/apachectl.html.en
%lang(ja) %{manualdir}/programs/apachectl.html.ja.jis
%{manualdir}/programs/apxs.html
%{manualdir}/programs/dbmmanage.html
%{manualdir}/programs/footer.html
%{manualdir}/programs/header.html
%{manualdir}/programs/htdigest.html
%{manualdir}/programs/htpasswd.html.html
%{manualdir}/programs/htpasswd.html.en
%lang(ja) %{manualdir}/programs/htpasswd.html.ja.jis
%{manualdir}/programs/httpd.html.html
%{manualdir}/programs/httpd.html.en
%lang(ja) %{manualdir}/programs/httpd.html.ja.jis
%{manualdir}/programs/index.html.html
%{manualdir}/programs/index.html.en
%lang(ja) %{manualdir}/programs/index.html.ja.jis
%{manualdir}/programs/logresolve.html
%{manualdir}/programs/other.html
%{manualdir}/programs/rotatelogs.html
%dir %{manualdir}/vhosts
%{manualdir}/vhosts/details.html
%{manualdir}/vhosts/examples.html
%{manualdir}/vhosts/fd-limits.html.html
%{manualdir}/vhosts/fd-limits.html.en
%lang(ja) %{manualdir}/vhosts/fd-limits.html.ja.jis
%{manualdir}/vhosts/footer.html
%{manualdir}/vhosts/header.html
%{manualdir}/vhosts/host.html
%{manualdir}/vhosts/index.html.html
%{manualdir}/vhosts/index.html.en
%lang(ja) %{manualdir}/vhosts/index.html.ja.jis
%{manualdir}/vhosts/ip-based.html
%{manualdir}/vhosts/mass.html
%{manualdir}/vhosts/name-based.html.html
%{manualdir}/vhosts/name-based.html.en
%lang(ja) %{manualdir}/vhosts/name-based.html.ja.jis
%{manualdir}/vhosts/vhosts-in-depth.html
%{manualdir}/vhosts/virtual-host.html
# suexec
%{manualdir}/suexec.html.html
%{manualdir}/suexec.html.en
%lang(ja) %{manualdir}/suexec.html.ja.jis
%{manualdir}/programs/suexec.html.html
%{manualdir}/programs/suexec.html.en
%lang(ja) %{manualdir}/programs/suexec.html.ja.jis
# mod_actions
%{manualdir}/mod/mod_actions.html.html
%{manualdir}/mod/mod_actions.html.en
%lang(ja) %{manualdir}/mod/mod_actions.html.ja.jis
# mod_auth
%{manualdir}/howto/auth.html
%{manualdir}/mod/mod_auth.html.html
%{manualdir}/mod/mod_auth.html.en
%lang(ja) %{manualdir}/mod/mod_auth.html.ja.jis
# mod_anon
%{manualdir}/mod/mod_auth_anon.html
# mod_auth_db
%{manualdir}/mod/mod_auth_db.html
# mod_auth_digest
%{manualdir}/mod/mod_auth_digest.html
# mod_define
%{manualdir}/mod/mod_define.html
# mod_digest
%{manualdir}/mod/mod_digest.html
# mod_dir
%{manualdir}/mod/mod_dir.html.html
%{manualdir}/mod/mod_dir.html.en
%lang(ja) %{manualdir}/mod/mod_dir.html.ja.jis
# mod_expires
%{manualdir}/mod/mod_expires.html
# mod_headers
%{manualdir}/mod/mod_headers.html
# mod_imap
%{manualdir}/mod/mod_imap.html
# mod_info
%{manualdir}/mod/mod_info.html.html
%{manualdir}/mod/mod_info.html.en
%lang(ja) %{manualdir}/mod/mod_info.html.ja.jis
# mod_log_forensic
%{manualdir}/mod/mod_log_forensic.html.html
%{manualdir}/mod/mod_log_forensic.html.en
# mod_mmap_static
%{manualdir}/mod/mod_mmap_static.html
# mod_proxy
%{manualdir}/mod/mod_proxy.html
# mod_rewrite
%{manualdir}/mod/mod_rewrite.html.html
%{manualdir}/mod/mod_rewrite.html.en
%lang(ja) %{manualdir}/mod/mod_rewrite.html.ja.jis
%{manualdir}/images/mod_rewrite*
# mod_status
%{manualdir}/mod/mod_status.html
# mod_unique_id
%{manualdir}/mod/mod_unique_id.html.html
%{manualdir}/mod/mod_unique_id.html.en
%lang(ja) %{manualdir}/mod/mod_unique_id.html.ja.jis
# mod_usertrack
%{manualdir}/mod/mod_cookies.html
%{manualdir}/mod/mod_usertrack.html
# mod_vhost_alias
%{manualdir}/mod/mod_vhost_alias.html

%files errordocs
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_errordocs.conf
%{_datadir}/errordocs

%files suexec
%defattr(644,root,root,755)
%attr(4755,root,root) %{_sbindir}/suexec

%files devel
%defattr(644,root,root,755)
%{_includedir}

%files -n htpasswd-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/htpasswd
%{_sbindir}/htpasswd
%{_mandir}/man1/htpasswd.1*

%files mod_access
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_access.conf
%attr(755,root,root) %{_libexecdir}/mod_access.so

%files mod_actions
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_actions.conf
%attr(755,root,root) %{_libexecdir}/mod_actions.so

%files mod_alias
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_alias.conf
%attr(755,root,root) %{_libexecdir}/mod_alias.so

%files mod_asis
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_asis.conf
%attr(755,root,root) %{_libexecdir}/mod_asis.so

%files mod_auth
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_auth.conf
%attr(755,root,root) %{_libexecdir}/mod_auth.so

%files mod_auth_anon
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_auth_anon.conf
%attr(755,root,root) %{_libexecdir}/mod_auth_anon.so

%files mod_auth_db
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_auth_db.conf
%attr(755,root,root) %{_libexecdir}/mod_auth_db.so
%attr(755,root,root) %{_bindir}/dbmmanage
%{_mandir}/man1/dbmmanage.1*

%files mod_auth_digest
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_auth_digest.conf
%attr(755,root,root) %{_libexecdir}/mod_auth_digest.so

%files mod_autoindex
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_autoindex.conf
%attr(755,root,root) %{_libexecdir}/mod_autoindex.so

%files mod_cern_meta
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_cern_meta.conf
%attr(755,root,root) %{_libexecdir}/mod_cern_meta.so

%files mod_cgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_cgi.conf
%attr(755,root,root) %{_libexecdir}/mod_cgi.so

%files mod_define
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_define.conf
%attr(755,root,root) %{_libexecdir}/mod_define.so

%files mod_digest
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_digest.conf
%attr(755,root,root) %{_libexecdir}/mod_digest.so

%files mod_dir
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_dir.conf
%attr(755,root,root) %{_libexecdir}/mod_dir.so

%files mod_env
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_env.conf
%attr(755,root,root) %{_libexecdir}/mod_env.so

%files mod_expires
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_expires.conf
%attr(755,root,root) %{_libexecdir}/mod_expires.so

%files mod_headers
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_headers.conf
%attr(755,root,root) %{_libexecdir}/mod_headers.so

%files mod_imap
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_imap.conf
%attr(755,root,root) %{_libexecdir}/mod_imap.so

%files mod_include
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_include.conf
%attr(755,root,root) %{_libexecdir}/mod_include.so

%files mod_info
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_info.conf
%attr(755,root,root) %{_libexecdir}/mod_info.so

%files mod_log_agent
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_log_agent.conf
%attr(755,root,root) %{_libexecdir}/mod_log_agent.so

%files mod_log_config
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_log_config.conf
%attr(755,root,root) %{_libexecdir}/mod_log_config.so

%files mod_log_forensic
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_log_forensic.conf
%attr(755,root,root) %{_libexecdir}/mod_log_forensic.so

%files mod_log_referer
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_log_referer.conf
%attr(755,root,root) %{_libexecdir}/mod_log_referer.so

%files mod_mime
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_mime.conf
%attr(755,root,root) %{_libexecdir}/mod_mime.so

%files mod_mime_magic
%defattr(644,root,root,755)
%attr(640,root,root) %{_sysconfdir}/magic
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_mime_magic.conf
%attr(755,root,root) %{_libexecdir}/mod_mime_magic.so

%files mod_mmap_static
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_mmap_static.conf
%attr(755,root,root) %{_libexecdir}/mod_mmap_static.so

%files mod_negotiation
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_negotiation.conf
%attr(755,root,root) %{_libexecdir}/mod_negotiation.so

%files mod_proxy
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_proxy.conf
%attr(755,root,root) %{_libexecdir}/libproxy.so
%dir %attr(770,root,http) /var/cache/apache

%files mod_rewrite
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_rewrite.conf
%attr(755,root,root) %{_libexecdir}/mod_rewrite.so

%files mod_setenvif
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_setenvif.conf
%attr(755,root,root) %{_libexecdir}/mod_setenvif.so

%files mod_speling
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_speling.conf
%attr(755,root,root) %{_libexecdir}/mod_speling.so

%files mod_status
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_status.conf
%attr(755,root,root) %{_libexecdir}/mod_status.so

%files mod_unique_id
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_unique_id.conf
%attr(755,root,root) %{_libexecdir}/mod_unique_id.so

%files mod_userdir
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_userdir.conf
%attr(755,root,root) %{_libexecdir}/mod_userdir.so

%files mod_usertrack
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_usertrack.conf
%attr(755,root,root) %{_libexecdir}/mod_usertrack.so

%files mod_vhost_alias
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_vhost_alias.conf
%attr(755,root,root) %{_libexecdir}/mod_vhost_alias.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1.spec,v $
Revision 1.160  2006/12/15 08:11:23  glen
- rel 7: let webserver depend on webapps so packages can trigger

Revision 1.159  2006/12/14 00:36:54  glen
- rel 6: fixed typo in errordocs

Revision 1.158  2006/10/17 09:54:58  glen
- drop bogus conflicts

Revision 1.157  2006/10/17 09:53:32  glen
- conflicts before package split

Revision 1.156  2006/10/03 13:34:02  glen
- mod_auth doesn't really require htpasswd program

Revision 1.155  2006/10/02 18:47:50  qboosh
- no macro in Conflicts for old package

Revision 1.154  2006/09/29 21:54:11  glen
- BR: bash (-configure_hashbang.patch)

Revision 1.153  2006/09/29 21:47:51  glen
- pass CC

Revision 1.152  2006/09/29 21:40:39  glen
- conflict before package split

Revision 1.151  2006/09/29 19:49:22  glen
- add mod_dir to apache1 metapackage; rel 3

Revision 1.150  2006/09/29 19:47:44  glen
- apache core moved to apache1-base package
- bcond minimal dropped

Revision 1.149  2006/09/27 12:19:47  glen
- enable lingerd

Revision 1.148  2006/09/15 18:27:41  glen
- allow everyone enter logs directory
  (you can still control individual perms inside log dir)

Revision 1.147  2006/09/09 01:14:55  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.146  2006/07/30 19:27:16  glen
- add cve refs

Revision 1.145  2006/07/30 13:26:42  hawk
- updated to 1.3.37
  [resolves CVE-2006-3747]

Revision 1.144  2006/07/24 20:37:10  glen
- rel 2: build with new webserver virtuals

Revision 1.143  2006/07/17 16:30:33  glen
- added webserver(cgi)

Revision 1.142  2006/07/17 16:23:23  glen
- webserver(virtual) provides renamed to be shorter and less confusing

Revision 1.141  2006/07/11 20:42:04  glen
- initial webserver(virtual) provides

Revision 1.140  2006/06/21 12:19:42  glen
- use relative symlinks

Revision 1.139  2006/05/31 11:29:23  glen
- add fixes and improvements (including securify fix) patches from debian

Revision 1.138  2006/05/22 11:31:53  qboosh
- updated to 1.3.36; acc. to announcement include wildcards have been fixed

Revision 1.137  2006/05/11 20:52:12  qboosh
- mm dependency is autogenerated

Revision 1.136  2006/05/03 00:06:47  glen
- add blocker

Revision 1.135  2006/05/02 22:26:01  glen
- up to 1.3.35

Revision 1.134  2006/04/13 08:43:25  glen
- add apxs DESTDIR patch, rel 9

Revision 1.133  2006/03/16 14:26:25  glen
- updated logrotation

Revision 1.132  2006/02/17 08:29:10  glen
- add request info for "client stopped connection before rwrite
  completed" errors

Revision 1.131  2006/02/07 20:09:57  glen
- use %service

Revision 1.130  2006/02/07 18:38:32  glen
- CVE-2005-3352, rel 8; STBR

Revision 1.129  2006/01/04 16:25:07  glen
- drop Provides: apache, causes only problems
  use Requires: webserver = apache instead if need such dependency
- rel 7

Revision 1.128  2006/01/01 17:49:01  glen
- drop Provides: httpd

Revision 1.127  2005/12/30 14:22:04  glen
- /cgi-bin ScriptAlias moved to main conf for webapps to be able to add aliases under /cgi-bin
- htdigest moved to -tools package
- rel 6

Revision 1.126  2005/12/13 16:10:13  glen
- adapterized

Revision 1.125  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.124  2005/12/02 20:10:03  marcus
- added khk patch from Apache 1.3 from Ra

Revision 1.123  2005/12/01 12:59:16  glen
- unify monitrd filename, fix permission

Revision 1.122  2005/11/29 00:29:06  glen
- add lingerd to initscript; lib64 fixes

Revision 1.121  2005/11/29 00:11:03  glen
- add lingerd patch

Revision 1.120  2005/11/20 20:11:52  glen
- rel 5

Revision 1.119  2005/11/20 20:04:03  glen
- rel 4

Revision 1.118  2005/11/20 19:33:53  glen
- webapps.d support

Revision 1.117  2005/10/31 17:02:42  glen
- check files cleanup

Revision 1.116  2005/10/31 16:50:54  glen
- avoid linking support programs with main program libs; rel 3

Revision 1.115  2005/10/22 19:33:56  glen
- rel 2

Revision 1.114  2005/10/22 19:22:15  glen
- Apache HTTP daemon is back!

Revision 1.113  2005/10/19 14:55:16  glen
- remove apxs dependency from triggers
- exit always with success from %posttrans. it's too late to exit with error
  and prevents duplicate apache1 packages in rpm database
- killed PreReq, removed bogus perl dep

Revision 1.112  2005/10/19 14:07:49  glen
- main package does not need apxs, no more

Revision 1.111  2005/10/19 12:49:13  glen
- unify Provides = http with apache.spec

Revision 1.110  2005/10/18 08:32:09  qboosh
- updated to 1.3.34 (includes Transfer-Encoding vs Content Length fix -
  it can be security fix for some apache modules)
- updated ipv6 patch
- mod_ssl-{addon,eapi} patches updated from mod_ssl 2.8.25-1.3.34

Revision 1.109  2005/10/18 08:18:34  qboosh
- more specific URL

Revision 1.108  2005/09/22 08:39:31  qboosh
- updated eapi patch from mod_ssl-2.8.24-1.3.33 (connection timeout handling fix)
- release 8

Revision 1.107  2005/08/16 11:29:01  glen
- revert to old behaviour: "run blah to start blah" if service not started

Revision 1.106  2005/08/16 09:34:36  glen
- minimize apache restarts using %posttrans
- cleanups

Revision 1.105  2005/08/14 09:39:00  glen
- rel 7, STBR

Revision 1.104  2005/07/15 09:27:53  glen
- move magic file to mod_mime_magic module where it belongs

Revision 1.103  2005/07/10 13:44:28  glen
- en & corrections
- unify poldek args

Revision 1.102  2005/07/10 13:41:53  glen
- use %service macro for restaring apache service
- now it's possible to disable automatic massive restarts

Revision 1.101  2005/07/10 09:24:53  glen
- rename sysconfig to apache to have same lock/service/config names

Revision 1.100  2005/06/18 13:46:49  glen
- move global Alias and ScriptAlias directives to slot 80 (but still load module itself in 02).
  This is to make it possible to have overrides for programs in /cgi-bin dir:
   ScriptAlias /cgi-bin/program1.cgi  /usr/lib/cgi-bin/program1/program1.cgi
   ScriptAlias /cgi-bin/programN.cgi  /usr/lib/cgi-bin/programN.cgi
   ScriptAlias /cgi-bin/programM.cgi  /usr/lib/cgi-bin/program1/program1.cgi
   ScriptAlias /cgi-bin/ /home/services/apache/cgi-bin

Revision 1.99  2005/06/08 19:24:21  glen
- remove (checked) unpackaged files

Revision 1.98  2005/06/08 19:05:34  glen
- rel 6, STBR for fixed mod_proxy.conf

Revision 1.97  2005/05/02 18:23:51  glen
- adapterized

Revision 1.96  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.95  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.94  2005/04/18 09:54:26  blues
- apache logs - sgid logs

Revision 1.93  2005/04/04 21:23:15  glen
- rel 5; STBR

Revision 1.92  2005/04/04 19:40:03  qboosh
- removed dup

Revision 1.91  2005/04/04 18:23:21  qboosh
- pl for -errordocs

Revision 1.90  2005/04/04 09:37:59  glen
- put errordocs to subpackage

Revision 1.89  2005/03/17 13:30:38  glen
- rel 4; STBR

Revision 1.88  2005/03/16 21:21:21  qboosh
- uff, pl finished

Revision 1.87  2005/03/16 21:02:43  qboosh
- pl WIP

Revision 1.86  2005/03/16 20:24:17  qboosh
- pl WIP

Revision 1.85  2005/03/16 19:56:23  qboosh
- pl WIP

Revision 1.84  2005/03/14 20:47:17  glen
- merged modules split from DEVEL

Revision 1.83.2.17  2005/03/14 20:46:09  glen
- notes

Revision 1.83.2.16  2005/03/05 23:04:55  glen
- more essental modules
- defattr for htpasswd package

Revision 1.83.2.15  2005/03/05 22:35:41  glen
- mod_log_config is pretty common to have

Revision 1.83.2.14  2005/03/05 17:39:46  glen
- use %banner

Revision 1.83.2.13  2005/03/05 17:37:16  glen
- cosmetics

Revision 1.83.2.12  2005/03/05 17:35:44  glen
- sort package files

Revision 1.83.2.11  2005/03/05 17:30:54  glen
- sorted module post scripts

Revision 1.83.2.10  2005/03/05 17:23:38  glen
- mod_access and mod_alias depended by core package

Revision 1.83.2.9  2005/03/05 17:22:37  glen
- cosmetics; typo

Revision 1.83.2.8  2005/03/05 17:21:36  glen
- sorted module packages

Revision 1.83.2.7  2005/03/05 17:14:07  glen
- bcond minimal

Revision 1.83.2.6  2005/03/04 22:01:58  glen
- trigger text

Revision 1.83.2.5  2005/03/04 21:55:25  glen
- post/postun triggers

Revision 1.83.2.4  2005/03/04 21:51:00  glen
- subpackages files

Revision 1.83.2.3  2005/03/04 21:43:48  glen
- truncate mod_access description

Revision 1.83.2.2  2005/03/04 21:43:15  glen
- copy descriptions from apache webpage

Revision 1.83.2.1  2005/03/04 21:18:37  glen
- splitting all modules; pass1

Revision 1.83  2005/03/04 20:45:42  qboosh
- -htpasswd: replaced usage with real desc; pl

Revision 1.82  2005/03/04 19:35:30  djrzulf
- glen is a genious, simplify obsoletes section at htpasswd,
- Rel +0.1,
- ALL STBR AC-TEST

Revision 1.81  2005/03/04 14:30:45  djrzulf
- argh, obsoletes htpasswd-apache2 -> htpasswd-apache, thanks glen ;),

Revision 1.80  2005/03/04 10:29:16  djrzulf
- added obsoletes,
- htpasswd from mini_httpd moved to separate package, Rel 3,

Revision 1.79  2005/03/04 10:05:54  djrzulf
- NFY,

Revision 1.78  2005/02/28 23:00:44  glen
- make -j1 (on install stage) for distcc run

Revision 1.77  2005/02/21 22:31:27  glen
- provide virtual apache(mod_MODNAME) for each module
- fix apache1(ipv6)-devel provide

Revision 1.76  2005/02/16 18:49:07  glen
- rel 3
- STBR

Revision 1.75  2005/02/16 18:20:31  glen
- restart apache in %postun for modules rather in %preun
- remove unneeded post,preun deps

Revision 1.74  2005/02/15 12:07:55  glen
- Provide apache-modname for each module
- swap order mod_autoindex scripts with mod_auth_digest
- remove unneeded apxs deps

Revision 1.73  2005/02/10 16:04:32  glen
- wrong apache was restarted in mod_log_forensic

Revision 1.72  2005/02/10 02:18:22  glen
- add TODO

Revision 1.71  2005/02/09 17:12:55  glen
- rel 2, used as branchpoint for confdir enabled apache1

Revision 1.70  2005/01/14 20:24:01  glen
- reorder module loading, as it was prior confdir

Revision 1.69  2005/01/14 20:07:13  glen
- load mod_mime_magic before mod_mime

Revision 1.68  2005/01/12 21:53:58  glen
- change Group: Development/Tools -> Networking/Daemons for suexec package

Revision 1.67  2005/01/12 21:52:01  glen
- don't trigger module version bigger than ours, causes weird invocations of triggers
- add ipv6 provide to -devel package

Revision 1.66  2005/01/12 16:08:09  glen
- logs symlink
- publish sample apache.conf in docs
- apache(ipv6) provide if compiled with ipv6

Revision 1.65  2005/01/11 22:21:11  glen
- mod_log_config.conf was forgotten

Revision 1.64  2005/01/11 21:06:43  glen
- configdir support

Revision 1.63  2004/12/30 23:46:13  glen
- BR: rpm-perlprov
- put htpasswd manual to proper subpackage

Revision 1.62  2004/11/04 13:31:52  paladine
- spaces->tabs
- cosmetics

Revision 1.61  2004/10/29 18:23:47  ankry
- killed bogus parameter check in mod_autoindex's %post

Revision 1.60  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.59  2004/10/29 08:16:46  qboosh
- updated to 1.3.33 (fixes CAN-2004-0940 - buffer overflow in mod_include)

Revision 1.58  2004/10/28 20:41:00  paladine
- "FTP" unification

Revision 1.57  2004/10/24 22:12:43  ankry
- one more typo

Revision 1.56  2004/10/24 21:38:06  paladine
- spelling fix, uppercases, etc.

Revision 1.55  2004/10/22 09:46:32  qboosh
- updated to 1.3.32 (CAN-2004-0492 fix, other bugfixes)
- updated ipv6 patch

Revision 1.54  2004/10/13 12:24:10  blues
- lets use logs group

Revision 1.53  2004/09/29 16:32:34  kolodko
- added macros in /etc/logrotate.d

Revision 1.52  2004/09/15 22:31:16  blues
- removed conflicts with Apache-Gallery (requested by qboosh, I'm not sure)

Revision 1.51  2004/09/15 18:18:03  blues
- info about separated package

Revision 1.50  2004/09/12 20:56:34  blues
- rel. 5.2 - configuration for autoindex play

Revision 1.49  2004/09/12 20:17:45  blues
- release 5.1 - separate mod_autoindex, sometimes it's really bad.

Revision 1.48  2004/08/30 19:08:38  blues
- monit file for apache1

Revision 1.47  2004/08/30 18:07:46  radek
- release 5: removed "Provides: apache-*' for subpackages and apache(EAPI)
- added "= apache" to "Provides: webserver"

Revision 1.46  2004/08/24 16:16:31  radek
- release 4: do not obsolete "webserver"

Revision 1.45  2004/08/20 21:52:42  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.44  2004/07/25 22:51:35  qboosh
- whole manual moved to -doc, like in apache 2.x
- towards killing data from /home/services - manual moved to /usr/share/apache1-manual

Revision 1.43  2004/07/25 22:30:58  qboosh
- one more strict dep

Revision 1.42  2004/07/25 21:47:32  qboosh
- strict internal deps

Revision 1.41  2004/05/15 17:59:33  ankry
- rel.3 (rel. 1,2 reserved for Ra)

Revision 1.40  2004/05/12 21:50:26  qboosh
- lib64-aware libexecdir

Revision 1.39  2004/05/12 18:25:21  qboosh
- updated md5

Revision 1.38  2004/05/12 15:33:40  qboosh
- updated to 1.3.31, updated apxs and ipv6-PLD patches
- updated addon,eapi patches from mod_ssl 2.8.17-1.3.31
- removed obsolete htdocs and CAN-2003-0020 patches
- packaged new mod_log_forensic module

Revision 1.37  2004/04/03 18:21:07  areq
- Release 5

Revision 1.36  2004/04/02 20:45:21  areq
- Release:      4
  /etc/logrotate.d/apache -> /etc/logrotate.d/apache1
  /etc/sysconfig/apache -> /etc/sysconfig/apache1

Revision 1.35  2004/04/02 05:43:07  ankry
- missing pl

Revision 1.34  2004/04/01 20:53:49  areq
- move few binnaries and mans to new package apache1-tools

Revision 1.33  2004/04/01 16:44:16  areq
- s/httpd/apache/
- s/apxs/apxs1/
- separate package apxs
- devel require only apxs (not apache) - apache1-devel not conflict
  with apache-devel from apache 2.x

Revision 1.32  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.31  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.30  2003/12/16 21:43:49  qboosh
- updated mod_ssl patches from mod_ssl-2.8.16-1.3.29
- new-style bconds

Revision 1.29  2003/12/01 22:24:31  mmazur
- rel 3 to rebuild with new db

Revision 1.28  2003/11/17 18:22:33  radek
- PreReq =~ s/perl/perl-base/

Revision 1.27  2003/11/03 14:02:17  qboosh
- added CAN-2003-0020 patch from RH (also BTS#754):
  clean logged strings of non-printable chars
- release 2

Revision 1.26  2003/10/28 09:40:08  qboosh
- SECURITY update to 1.3.29 (includes fix for CAN-2003-0542 - buffer overflows in
  mod_alias and mod_rewrite

Revision 1.25  2003/09/09 22:09:07  arekm
- moved index.html* to subpackage

Revision 1.24  2003/09/04 16:26:36  arekm
- fixed

Revision 1.23  2003/09/04 12:26:14  arekm
- make it possible to upgrade from apache.spec to apache1.spec

Revision 1.22  2003/09/04 12:22:38  arekm
- make it possible to upgrade from apache.spec to apache1.spec

Revision 1.21  2003/08/11 20:44:52  ankry
- cosmetics

Revision 1.20  2003/08/06 16:10:12  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.19  2003/07/27 19:02:15  blues
- release 1

Revision 1.18  2003/07/26 16:54:11  serek
- +.

Revision 1.17  2003/07/25 11:49:52  qboosh
- more updates (sync with RA-branch)

Revision 1.16  2003/07/19 21:41:09  misi3k
- rel 0.3
  ToDo:
- small fixes in: mod_usertrack (ipv6), mod_status (ssl_addon)
- check commented files

Revision 1.15  2003/07/19 10:01:40  misi3k
- rel 0.2
- patch{5,6,7,8} back online
  Note: NFY

Revision 1.14  2003/07/18 19:54:02  misi3k
- updated to 1.2.28
- rel 0.1
  Note: NFY, i'm still working on it

Revision 1.13  2003/07/07 10:30:19  qboosh
- cleaned up Provides/Requires "small fixes" mess

Revision 1.12  2003/07/07 04:23:49  blues
- many small fixes, inspired by kloczek

Revision 1.11  2003/05/26 16:24:25  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.9  2003/05/25 05:45:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/17 06:57:46  pascalek
- revert user changes

Revision 1.7  2003/05/10 09:25:33  pascalek
- Req user-http

Revision 1.6  2003/05/09 11:47:26  qboosh
- more cleanups

Revision 1.5  2003/05/09 11:37:19  qboosh
- merged security_htdigest_bufferoverflow patch from apache/Ra
- release 6

Revision 1.4  2003/03/19 19:41:14  qboosh
- updated addon (date only) and eapi (fixed clean shutdown) patches from
  mod_ssl 2.8.13
- use mm 1.3.0 on HEAD
- release 5

Revision 1.3  2003/02/14 23:31:21  qboosh
- added versioned Provides for apache, updated Requires
- use /home/services scheme: added usermod call to change http home,
  updated httpd.conf and PLD patch
- added triggers for evil things done while removing obsoleted apache packages
- added webapps dir to package
- use db 4.x instead of db3 (with a little help of db4 patch)

Revision 1.2  2003/02/12 10:46:25  qboosh
- updated patch names

Revision 1.1  2002/12/31 10:31:45  qboosh
- for those, who can't or don't want to use apache 2 yet (NFY)

Revision 1.207  2002/10/12 17:30:57  radek
- release 3 (SOURCES/apache-httpd.conf has changed)
  STBR

Revision 1.206  2002/10/12 14:51:23  radek
- enabled messing with init configuration again... ;-)

Revision 1.205  2002/10/11 16:32:30  radek
- switched Source0 to HTTP, FTP doesn't work

Revision 1.204  2002/10/04 09:36:39  qboosh
- SECURITY update to 1.3.27
- updated mod_ssl-eapi (manually - no new mod_ssl yet), ipv6-PLD and configdir_skip_backups patches
- updated file list

Revision 1.203  2002/08/23 16:17:42  radek
- no messing in init configuration after upgrade
- better permissions, fixed source URL, release 5

Revision 1.202  2002/08/22 01:38:43  kloczek
- release 4: fix: added missing %{apxs} macro definition.

Revision 1.201  2002/08/21 16:54:12  kloczek
- release 3.

Revision 1.200  2002/08/18 11:44:54  blues
- license fix

Revision 1.199  2002/08/17 20:58:03  qboosh
- better messages in pre, more specific Requires

Revision 1.198  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.197  2002/08/12 12:21:01  qboosh
- added missing files: checkgid utility, *.png icons, auth howto
- release 2

Revision 1.196  2002/06/19 18:20:53  qboosh
- updated eapi and addon patches to mod_ssl 2.8.9-1.3.26
  (so it applies cleanly - no code changes)

Revision 1.195  2002/06/19 10:27:02  qboosh
- manually updated mod_ssl-eapi patch (there is no new mod_ssl yet)
- updated PLD and ipv6 patches
- few updates in httpd.conf
- updated file list - builds now

Revision 1.194  2002/06/19 08:23:49  kloczek
- bump to release 1.

Revision 1.193  2002/06/19 08:04:32  qboosh
- merged DEVEL, started SECURITY update to 1.3.26

Revision 1.188.2.2  2002/05/26 21:05:01  qboosh
- added patch for mod_proxy from apache.org
- updated mod_ssl-eapi and ipv6 patches for it
- new %doc
- release 0.2

Revision 1.188.2.1  2002/04/05 21:51:29  qboosh
- s/_without_apache_ipv6/_without_ipv6/g
- added version to Provides: apache(EAPI)-devel
- updated to 1.3.24; release 0.1 - STBR-test

Revision 1.192  2002/06/15 11:43:10  ankry
- removed %lang(en)

Revision 1.191  2002/06/15 09:56:43  ankry
- fixed %lang
- release 6

Revision 1.190  2002/04/29 11:04:23  blues
- be more verbose while adding/removing user/group

Revision 1.189  2002/04/25 15:47:13  arturs
- fixed a small typo

Revision 1.188  2002/03/26 23:48:16  misiek
- don't zero httpd.conf; release 5

Revision 1.187  2002/03/04 21:57:23  qboosh
- added fixes to mod_auth_digest to modules_symbols patch; release 4

Revision 1.186  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.185  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.184  2002/02/20 17:12:52  filon
- added missing docs
- removed non-exesting KEYS.gz from docs
- added mod_auth_digest module (with Obsoletes: mod_digest) for new MD5 auth method
- release 3

Revision 1.183  2002/02/17 05:05:29  kloczek
- release 2.

Revision 1.182  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.181  2002/02/10 21:27:28  kloczek
- uncomment mod_define %files.

Revision 1.180  2002/02/10 21:02:55  kloczek
- adapterized.

Revision 1.179  2002/02/09 13:04:18  kloczek
- updated to 1.3.23: merge DEVEL branch to HEAD.

Revision 1.178  2002/01/27 18:48:42  kloczek
- release 3.

Revision 1.177  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.176  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.175  2001/12/18 22:30:56  qboosh
- added some missing html manual files
- fixed IPv6 patch: ab should work now
- release 2

Revision 1.174  2001/12/07 21:07:40  kloczek
- merge translations from Conectiva and adapterize spec.

Revision 1.173  2001/12/07 21:00:12  qboosh
- removed mod_include-segv patch (this bug is fixed in apache 1.3.22)
- removed lang(en) from *.html.html and main index.html.en (treat them as
  "C locale"), fixed some other lang() marks
- apxs-quiet patch: by default successful apxs -e operations are quiet
  (without commands echo), can be turned off by new -v (like "verbose") option

Revision 1.172  2001/11/26 14:25:41  ankry
- added hu, ko, pl man pages

Revision 1.171  2001/10/18 13:16:07  mkierus
- updated to 1.3.22
- building whitout apache_ipv6 (IPV6 NFY)

Revision 1.170  2001/08/29 04:13:14  kloczek
- typo.

Revision 1.169  2001/08/28 22:40:40  kloczek
- release 16,
- do not build mod_auth_dbm.so,
- do not {un,}register mod_auth_dbm in %post/%postun mod_auth_db,
- add %triggerpostun -- apache-mod_auth_db <= 1.3.20-2 for mod_auth_db
  subpackage with unregister bogus mod_auth_dbm module.

Revision 1.168  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.165  2001/05/29 13:58:16  wiget
- add configdir_skip_backups patch (skip *~, *.rpm{new,save,orig files in config directory); release 2

Revision 1.164  2001/05/22 09:06:09  wiget
- switch to new conditional builds macros (bcond_on_ ->
  _with_/bcond_off_ -> _without_); no release changes only simple s///
  perfored

Revision 1.163  2001/05/21 13:09:31  kloczek
- updated db3 patch and %files list.

Revision 1.162  2001/05/21 09:21:25  kloczek
- start upgrade to 1.3.20: updated ipv6, EAPI and apxs_force_rm_cp patches (NYF).

Revision 1.161  2001/05/10 13:40:51  mkochano
- Release 7.
- Added missing manual files to main and mod_rewrite packages.

Revision 1.160  2001/05/03 15:24:42  qboosh
- manual/howto/ssi.html is localized now
- fixed v6 patch (apache didn't select() any socket)
- added missingok to /home/httpd/html/index.html

Revision 1.159  2001/05/01 21:55:39  misiek
- updated ipv6 patch

Revision 1.158  2001/05/01 12:32:27  kloczek
- start update to 1.3.19 (rel 6).
  NOTE: ipv6 patch must be updated.

Revision 1.157  2001/04/28 15:09:34  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.156  2001/04/17 12:04:06  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.155  2001/04/09 08:25:00  mkochano
- Release 4.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.154  2001/03/31 23:11:17  dobrek
- Added patch for smooth upgrade in case of conditional build with turned off ipv6.

Revision 1.152  2001/03/24 18:16:10  kloczek
- back to 1.3.17.

Revision 1.151  2001/03/24 18:11:51  kloczek
- release 2.

Revision 1.150  2001/03/23 18:00:06  baggins
- fixed ipv6 patch

Revision 1.149  2001/02/15 17:32:30  qboosh
- removed /var/lib/apache directory (no longer used)
- corrected/completed some descriptions
- "Correct", not "Corect"! - please check this in %pre in other specs
- release 3

Revision 1.148  2001/02/10 00:30:54  qboosh
- mod_includes patch (don't segfault on invalid URI request)
- more localized index.html (use MultiViews)
- some configuration file updates (AddLanguage/AddCharset, comments)

Revision 1.147  2001/02/09 22:29:48  kloczek
- release 2.

Revision 1.146  2001/02/09 17:42:57  qboosh
- fixed fix_hostname() changes in V6 patch (caused infinite loop)
- fixed EAPI_MM_CORE_PATH patch (apache/mm.* instead of apache.*)

Revision 1.145  2001/02/08 03:44:10  kloczek
- make /var/lib/apache on top %install.

Revision 1.144  2001/02/08 03:27:20  kloczek
- added /var/run/apache direcory for store mm sempahores.

Revision 1.143  2001/02/08 01:34:52  qboosh
- updated and simplified db3 patch
- fixed V6 patch
- Obsoletes: indexhtml (old RH package)
- added %{_datadir} directory to %files
- updated manual files (which are partially localized now)

Revision 1.142  2001/02/02 09:14:29  kloczek
- added EAPI-missing_files patch with all neccessary during compile files from
  eapi/mod_defines,
- TODO: disable compiling auth_dbm module (in simple and elegant way). auth_dbm
  is broken and not necceassary now (all functionalities provides auth_db).

Revision 1.141  2001/01/31 20:20:25  kloczek
- removed mm_conf patch and added second correction for EAPI: EAPI_MM=SYSTEM
  patch which enables use on compile system wide mm library.

Revision 1.140  2001/01/31 20:03:51  kloczek
- updated EAPI changes in new way (in three patches) to version
  form mod_ssl 2.8.0-1.3.17.

Revision 1.139  2001/01/31 18:08:51  misiek
- 1.3.17. started updating. need to update EAPI patch

Revision 1.138  2001/01/27 22:35:21  kloczek
- release 9,
- merge buff, fpic, mkstemp patches from rawhide.

Revision 1.137  2001/01/25 20:03:20  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.136  2001/01/14 16:47:14  kloczek
- release 4,
- fixed install time bug: added perl to Prereq for all subpackages which
  uses in %post apxs (because apxs is perl script).

Revision 1.135  2000/12/23 00:48:42  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.134  2000/12/13 17:54:39  kloczek
- release 3.

Revision 1.133  2000/12/11 15:13:29  mis
- bcond_apache_disable_ipv6 -> _without_apache_ipv6

Revision 1.132  2000/12/11 08:19:05  qboosh
- fixed bcond_apache_disable_ipv6 condition handling

Revision 1.131  2000/12/09 17:55:13  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.130  2000/11/27 22:57:16  misiek
- using update-db is obsolete; removed

Revision 1.129  2000/11/24 20:10:17  kloczek
- release 2,
- added "Listen 80" in default configuration for allow run correctly
  without addtional modyfication when mod_ssl is used.

Revision 1.128  2000/11/22 16:26:20  mis
- added conditonal IPv6 support compilation (bcond_apache_disable_ipv6 macro)

Revision 1.127  2000/11/14 22:59:31  konrad
- Added BuildRequires: db3-devel

Revision 1.126  2000/11/14 22:45:42  konrad
- Moved htpasswd from apache-mod_auth-db to apache-mod_auth

Revision 1.125  2000/11/13 22:13:10  konrad
- Removed "BuildRequires:  db2-devel"

Revision 1.124  2000/11/13 16:44:28  baggins
- updated to 1.3.14
- updated patches
- resurrected mod_auth_dbm (into package auth_db)

Revision 1.123  2000/10/12 20:06:11  kloczek
- merged two patches from Caldera (rewrite and man) - rewrite patch fix
  security bug in mod_rewrite.

Revision 1.122  2000/10/12 08:53:34  mkochano
- Release 28.
- PreReq: mm libmm*so is required by some program used durning activation of
  modules. Without this rpm -i apache* mm* generates a lot of error messages
  complaining about lack of libmm.

Revision 1.121  2000/10/05 13:50:36  wiget
- fix building mod_rewrite module
- added conditional build of ldap map support for mod_rewrite

Revision 1.120  2000/10/01 10:47:53  kloczek
- release 26 (for allow upgrade from RH),
- mod_auth and mod_auth_db to two new separated subpackages (also dbmmanage,
  htdigest and htpasswd moved to mod_auth_db),
- added hack in %build for link with libdb only mod_auth_db (now core apache
  not depends on db and olny mod_auth_db depends on db),
- removed mod_auth_dbm beacause on glibc libndbm this the same as libdb
  (libndbm is symlink to libdb) and both mod_auth_db, mod_auth_dbm provides
  the same functionality,
- added using rpm new automation.

Revision 1.119  2000/09/27 06:24:24  kloczek
- fixed Group in suexec,
- make spec %{debug} friendly,
- adapterized.

Revision 1.118  2000/09/26 16:32:31  baggins
- relase 12
- added db3 patch

Revision 1.117  2000/09/15 12:58:41  baggins
- release 11
- updated IPv6 patch to latest KAME

Revision 1.116  2000/09/08 22:07:32  kloczek
- release 10.

Revision 1.115  2000/09/08 18:17:13  mis
- turned off 64 bit offset support (it should be on for all shared libs,
  what is not good idea, I think)

Revision 1.114  2000/09/01 19:10:29  baggins
- release 9

Revision 1.113  2000/08/30 14:54:50  mis
- turned on 64 bit ofsset support, it is necessary to work with mod_perl
  (our Perl is built with this).

Revision 1.112  2000/08/09 20:00:35  kloczek
- release 8,
- added /etc/sysconfig/apache::IPV6_NETWORKING=[on|off] for enable/disable
  ipv6 connections (mis).

Revision 1.111  2000/08/07 10:31:09  mis
- added missing version to apache(EAPI) prov

Revision 1.110  2000/08/03 13:18:46  mkochano
- Added %dir %{_datadir}/manual/mod for clean uninstallation (no 'cannot
  remove /home/httpd/manual - directory not empty' message).

Revision 1.109  2000/08/02 20:17:59  kloczek
- release 7,
- rebuild against mm >= 1.1.3,
- spec adapterized.

Revision 1.108  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.107  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.106  2000/07/07 11:22:34  wrobell
- --suexec-docroot=/home/httpd - now suexec should work

Revision 1.105  2000/06/12 16:14:58  kloczek
- release 6,
- added apxs_force_rm_cp patch with fix apxs (use "cp -f" and "rm -f"
  instead pure cp, rm).

Revision 1.104  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.103  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.102  2000/05/29 20:08:25  baggins
- fix pre/post scripts for mod_actions
- fix pre/post scripts that do `echo Include some.conf`

Revision 1.101  2000/05/25 13:13:36  mis
- removed access.conf and srm.conf

Revision 1.100  2000/05/17 23:02:34  kloczek
- spec adapterized.

Revision 1.99  2000/05/14 19:53:07  bonkey
- typo

Revision 1.98  2000/05/11 12:30:27  misiek
- prawie skoczone tumaczenie na pl (zostay 2 moduy)

Revision 1.97  2000/05/10 12:35:51  misiek
- enabled IPv6 again

Revision 1.96  2000/04/25 16:16:47  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.95  2000/04/12 09:34:43  zagrodzki
- removed duplicate file entry (mod_status.conf)

Revision 1.94  2000/04/12 09:23:55  zagrodzki
- duplicate file (mod_proxy.conf)

Revision 1.93  2000/04/07 04:45:01  kloczek
- added include/remove per modules configuration files on install/remove
  subpackages mod_proxy, mod_status and mod_vhost_alias,
- added %config(noreplace) %verify(not size mtime md5) for mod_proxy.conf
  and mod_status.conf.

Revision 1.92  2000/04/06 21:22:55  bonkey
- mod_mime_magic BEFORE mod_mime in %post

Revision 1.91  2000/04/04 20:24:16  bonkey
- %attr(640,root,root) for mod_proxy.conf and mod_status.conf

Revision 1.90  2000/04/04 18:40:17  bonkey
- %attr(644,root,root) for mod_proxy.conf and mod_status.conf

Revision 1.89  2000/04/03 03:34:14  kloczek
- added restart httpd on install/upgrade packages with apache modules.

Revision 1.88  2000/04/02 23:08:41  kloczek
- fixed mod_define %post/%preun.

Revision 1.87  2000/04/02 23:03:47  kloczek
- release 3,
- added modules_symbols patch with correcting all modules symbols for proper
  work modules (de)rejestration with apxs nad also corrected modules name in
  calling apxs in %post/%preun.

Revision 1.86  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.85  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.84  2000/03/14 08:37:38  kloczek
- added mm_conf patch with libmm configurations corrections.

Revision 1.83  2000/03/13 19:16:20  kloczek
- separate mod_proxy configuration.

Revision 1.82  2000/03/13 19:09:23  kloczek
- new EAPI patch (updated for mos_ssl 2.6.2),
- removed phhttpd patch and commented out IPV6 support,
- added mod_define subpackage.

Revision 1.81  2000/03/06 21:31:05  kloczek
- separate apache-mod_status.conf from apache-access.conf.

Revision 1.80  2000/03/06 08:07:57  smyda
- correct source num (4) for sysconfig

Revision 1.79  2000/03/03 18:53:09  kloczek
- updated Source url.

Revision 1.78  2000/03/01 18:26:14  misiek
- up to 12

Revision 1.77  2000/02/25 12:15:34  wiget
- Provides: apache(EAPI)

Revision 1.76  2000/02/25 10:55:29  misiek
- added IPv6 patch

Revision 1.75  2000/02/25 08:59:07  waszi
- typo

Revision 1.74  2000/02/24 21:10:59  kloczek
- removed _modules from registered modules name in apxs parameters.

Revision 1.73  2000/02/24 20:45:32  kloczek
- pass correct module names into apxs parameters.

Revision 1.72  2000/02/24 20:11:57  wiget
- fix (de)registering modules

Revision 1.71  2000/02/24 13:36:50  kloczek
- added phhttpd patch (from rawhide) and EAPI (based on mod_ssl 2.5.0),
- removed doc package and removed many files (~ 1/3) from doc not related to
  latest version apache and to Linux,
- added mod_expires subpackage.

Revision 1.70  2000/02/20 06:56:46  kloczek
- more separation modules: mod_actions, mod_auth_anon, mod_digest, mod_dir,
  mod_headers, mod_imap, mod_info, mod_status, mod_unique_id,
- proxy chache directory changed to /var/chache/apache,
- base apache documentation directory changed to %{datadir}/manual (it will
  be enabled for browsing by apropriate mod_access module configuration),
  Now build correctly but still lack per module configuration files,
  managing index modules index documentation, (de)registering in manin
  httpd.conf per module config files and also pl translations.

Revision 1.69  2000/02/18 09:08:03  kloczek
- added mod_mmap_static subpackage,
- removed completly mod_example,
- more work on others parts.

Revision 1.68  2000/02/17 09:55:14  kloczek
- removed documentation for outdated modules.

Revision 1.67  2000/02/17 09:48:40  kloczek
- start work on rel 5,
- added (de)registering each apache modules in %post, %preun,
- list all modules documentation in %files,
- start separating firs two modules (mod_proxy and mod_vhost_alias),
- added missing %{_sysconfdir}/magic to %files.

Revision 1.66  2000/02/16 07:25:43  kloczek
- typo.

Revision 1.65  2000/02/16 07:14:36  kloczek
- changed path for id to /bin.

Revision 1.64  2000/02/15 16:44:57  kloczek
- added %{_datadir}/icons/small/*.gif to %files.

Revision 1.63  2000/02/15 16:42:56  kloczek
- added %{_datadir}/html/index.html.<lang> files.

Revision 1.62  2000/02/15 16:08:04  kloczek
- updated to 1.3.11,
- base apache packages finished.

Revision 1.61  1999/12/30 17:14:14  kloczek
- added "Obsoletes: apache-manual" for doc subpackage.

Revision 1.60  1999/12/30 04:31:27  kloczek
- removed release patch (mod_ssl configure check version and can't find
  proper version installed apache),
- added including /usr/lib/rpm/macros.perl for generating in otput packages
  proper perl modules dependences.
- removed not used /var/state/apache/mm,
- removed from Requires file and /usr/share/misc/magic (mod_magick uses
  diffrent magic file format),
- fixed %description.

Revision 1.59  1999/12/30 00:53:54  kloczek
- added noreplace for %congig files,
- back new ipv6 patches set (removed by mistake).

Revision 1.58  1999/12/30 00:42:03  kloczek
- added unpacking Source3 in %prep.

Revision 1.57  1999/12/30 00:32:28  kloczek
- added /var/state/apache and /var/state/apache/mm directorires to %files.

Revision 1.56  1999/12/29 23:03:56  kloczek
- more Requires: /etc/mime.types file /usr/share/misc/magic

Revision 1.55  1999/12/29 22:55:24  kloczek
- release 9,
- added EAPI support and mod_defines,
- added apxs patch (from rawhide),
- added default config files set in separated Sources#.

Revision 1.53  1999/10/19 16:54:17  wiget
- fixed typo

Revision 1.52  1999/09/24 10:12:15  kloczek
- added missing "http" parameter for useradd.

Revision 1.51  1999/09/24 10:08:40  kloczek
- removed "-M http" from useradd parameters and redirect all useradd
  messages to stderr.

Revision 1.50  1999/09/22 07:14:19  wiget
- redirect error messages do stderr

Revision 1.49  1999/09/22 07:08:46  wiget
- removed -f from useradd parameters

Revision 1.48  1999/09/22 06:40:00  wiget
- update-db if needed
- added -g http to useradd parameters
- added %postun script (remove group/user http)
